angular.module('starter')

.controller('CourseListCtrl', function ($scope, $faAPI, $rootScope, $faPopup, $faUser,$state,$stateParams,$faWechat,$http,$faUser,$location) {

    $scope.soldOut = $stateParams.soldOut == 'true'? true : false;//课程下架?
    
    $scope.isLogin = $faUser.info.isLogin;

    $scope.reqUrl = reqUrl;
        $scope.page = {
            pageNo: 1,
            PageSize: 5,
            hasNaxtPage: true
        }
        $scope.acList = [];
        var acList = [];
        $scope.tanHide = function () {
            $scope.isLogin = true;
        }
        //登录
        $scope.login = function () {
            //$rootScope.modal.fastLogin();
            if (!$faUser.info.isLogin) {
                $rootScope.modal.login();
                //登录完成之后执行的回调
                window.keCallback = function(){
                    //$scope.isLogin = true;
                    window.location.reload();
                }
            }
        };

        $scope.goKcDetail = function(id){
            $faUser.info.isLogin ? $state.go('kcDetail',{id:id}) : $rootScope.modal.login();
        };
        $scope.loadMore = function () {
            var pramise = $http({
                method: "GET",
                url: WXJKQZ+'/wjtCourse/listAllWjtCourse',
                params: $scope.page
            });
            pramise.then(function (json) {

                var data = json.data.attribute;

                acList = acList.concat(data.list);
                $scope.acList = acList;

                $scope.page = data.pager;
                $scope.page.pageNo = data.pager.nextPage;
                $scope.$broadcast('scroll.infiniteScrollComplete');
            });
            //$faAPI.course.getCounterList($scope.page).then(function (data) {
            //
            //});
        };






        //分享到朋友圈
        $faWechat.api.onMenuShareTimeline({
            title: '超级理财师-微讲坛', // 分享标题
            imgUrl: '',// 分享图标
            desc:'超级理财师-微讲坛',
            link:$location.host()+'/#/keList/false',
            success: function() {
                // 用户确认分享后执行的回调函数
            },
            cancel: function() {
                // 用户取消分享后执行的回调函数
            }
        });

        //分享给朋友
        $faWechat.api.onMenuShareAppMessage({
            title: '超级理财师-微讲坛', // 分享标题
            imgUrl: '' ,// 分享图标
            desc:'超级理财师-微讲坛',
            link:$location.host()+'/#/keList/false',
            success: function() {
                // 用户确认分享后执行的回调函数
            },
            cancel: function() {
                // 用户取消分享后执行的回调函数
            }
        })



})
.controller('CourseDetailCtrl', function ($scope,$faPopup,$ionicSlideBoxDelegate,$faAPI,$http,$stateParams,$timeout,$faPlatform,$rootScope,$state,$location,$faUser,$faShare,$faWechat) {

    $scope.showWeiXinImg = false;
    $scope.id = $stateParams.id;
    $scope.nowPPTpage = 1;
    $scope.local = reqUrl;
    $scope.isLogin = $faUser.info.isLogin;


    $scope.isCourseStart = true;
    $scope.isWeChat = $faPlatform.weChat;

    var lyAudio = document.getElementById('audioBox'),
        timer = '',
        i = 0;
        t = $stateParams.type || 2 ;//默认不是从列表页面进入详情页面



    //音乐播放结束
    lyAudio.onended = function () {
        $scope.isPlay = false;
        var voilen = $scope.sniInfo[$scope.nowPPTpage-1].wjtCourseAudioList.length;
        if( i < voilen-1 ){
            i++;
            $scope.audioUrl = $scope.local + $scope.sniInfo[$scope.nowPPTpage-1].wjtCourseAudioList[i].audioMediaAddress
            lyAudio.src = $scope.audioUrl;
            lyAudio.onloadstart = function () {
                lyAudio.play();
                $scope.isPlay = true;
                $scope.$apply();
            }
        }else{
            i = 0;
            $scope.playOver = true;
            $scope.$apply($scope.playOver);
            if( $scope.acInfo.coursePageCount > $scope.nowPPTpage ){
                timer = $timeout(function(){
                    $scope.next();
                    $scope.playOver = false;
                },3000)
            }
        }
    };
    function  getDate(){

        var pramise = $http({
            method: "GET",
            url: WXJKQZ+'/wjtCourse/listenWjtCourse',
            params: {id:$scope.id,_pt:'wap',type:t}
        });
        pramise.then(function (json) {
            if (json.data.statusCode === '6007') {
                //alert('课程已下架');
                $state.go('kcList',{soldOut : true});
            } else {

                if (json.data.statusCode === '6009') {
                    $scope.$watch('isLogin', function () {
                        if ($rootScope.isLogin) {
                            getDate();
                        }
                    }, true);
                } else {
                    if (json.data.statusCode === '6006') {
                        $scope.isCourseStart = false;
                        return;
                    }
                    $scope.acInfo = json.data.attribute.dto;
                    $scope.sniInfo = $scope.acInfo.wjtCoursePicList;

                    $scope.audioUrl = $scope.local + $scope.sniInfo[0].wjtCourseAudioList[0].audioMediaAddress;
                    lyAudio.src = $scope.audioUrl;
                    $scope.nowPPtime = $scope.countTime(); //当前ppt音频总时长

                    $scope.share($scope.acInfo);//分享
                }
            }


        })


    }
    getDate();
    //登录完成之后执行的回调
    function keCallback(){
        getDate();
        $scope.isCourseStart = true;
        $scope.isLogin = true;
    }
    //登录
    $scope.login = function () {
        $rootScope.modal.login(keCallback);
    };
    //登录
    $scope.goLogin = function(){
        if (!$faUser.info.isLogin) {
            $rootScope.modal.login(keCallback);
        }
    }
    if( !$scope.isLogin && $scope.isCourseStart ) {
        $scope.goLogin();
    }

    $scope.requestFullScreen = function(){
        var de = document.getElementById('silder');
        if (de.requestFullscreen) {
            de.requestFullscreen();
        } else if (de.mozRequestFullScreen) {
            de.mozRequestFullScreen();
        } else if (de.webkitRequestFullScreen) {
            de.webkitRequestFullScreen();
        }
    };
    //上一页
    $scope.next = function () {
        $timeout.cancel(timer);
        $scope.playOver = false
        $ionicSlideBoxDelegate.next();
    };
    //下一页
    $scope.prev = function () {
        $ionicSlideBoxDelegate.previous();
    };
    //重新播放
    $scope.rePlay = function () {
        $scope.audioUrl = $scope.sniInfo[$scope.nowPPTpage - 1].wjtCourseAudioList[0].audioMediaAddress+"?"+new Date();
        lyAudio.src = $scope.local+$scope.audioUrl;
        lyAudio.onloadstart = function () {
            lyAudio.play();
            $scope.isPlay = true;
            $scope.$apply();
        }
        $timeout.cancel(timer);
        $scope.playOver = false;
    };
    //幻灯片切换
    $scope.slideHasChanged = function(index){
        //$scope.hostUrl = audio[index]
        $scope.audioUrl = $scope.local + $scope.sniInfo[index].wjtCourseAudioList[0].audioMediaAddress;
        lyAudio.src = $scope.audioUrl;
        $scope.nowPPTpage = index + 1;
        $scope.isPlay = false;
        $scope.nowPPtime = $scope.countTime(); //当前ppt音频总时长
        lyAudio.onloadstart = function () {
            lyAudio.play();
            $scope.isPlay = true;
            $scope.$apply();
        }
    };
    //播放暂停
    $scope.audioPlayPause = function(){
        if($scope.isPlay){
            lyAudio.pause();
            $scope.isPlay = false;
        }else{
            lyAudio.play();
            $scope.isPlay = true;

        }
    };

    //统计当前ppt音频总时长
    $scope.countTime = function(){
        var se = 0;
        angular.forEach($scope.sniInfo[$scope.nowPPTpage-1].wjtCourseAudioList,function(data,index){
            se = se + data.audioTimeCount;
        })
        return se;
    }
    //显示微信二维码
    $scope.showWeiXinImg = function(){

        $scope.showWeiXin = !$scope.showWeiXin;

    }
    //分享
    $scope.share = function (obj) {

        var imgUrl = obj.wechatSharePic ? obj.wechatSharePic : obj.lecturersPic;
        //分享到朋友圈
        $faWechat.api.onMenuShareTimeline({
            title: obj.wechatShareTitle || obj.courseTitle, // 分享标题
            imgUrl: $scope.local + imgUrl,// 分享图标
            link:$location.protocol()+'://'+$location.host()+'/#'+$location.path(),
            desc:obj.courseDesc,
            success: function() {
                // 用户确认分享后执行的回调函数
            },
            cancel: function() {
                // 用户取消分享后执行的回调函数
            }
        })
        //分享给朋友
        $faWechat.api.onMenuShareAppMessage({
            title: obj.wechatShareTitle || obj.courseTitle, // 分享标题
            imgUrl: $scope.local + imgUrl ,// 分享图标，
            link:$location.protocol()+'://'+$location.host()+'/#'+$location.path(),
            desc:obj.courseDesc,
            success: function() {
                // 用户确认分享后执行的回调函数
            },
            cancel: function() {
                // 用户取消分享后执行的回调函数
            }
        })
    }


})
.controller('drainListCtrl',function($scope,$faAPI,$stateParams,$location,$filter,$faWechat,$anchorScroll,$http){
  if(!$stateParams.id){
      return
  }
  $scope.data = {
      activitiesHostPartnerId:$stateParams.id,
      pageNo:1,
      pageSize:3
  };
  $scope.lists = [];
  $scope.hasNaxtPage = true;
  $scope.hostImgUrl = reqUrl;


  $scope.loadMoreActivity = function(){
      var premise = $http({
          method: "GET",
          url: WXJKQZ+'/wjtPublicActivities/listWjtPublicActivities',
          params: $scope.data
      })
      premise.then(function(resp){
          $scope.lists = $scope.lists.concat(resp.data.attribute.list);
          $scope.data.pageNo= resp.data.attribute.pager.nextPage;
          $scope.hasNaxtPage = resp.data.attribute.pager.hasNaxtPage;

          $scope.$broadcast('scroll.infiniteScrollComplete');
      })

  }
  // $scope.$on("$ionicView.enter", function() {
  //   //页面启动缓存时,其controller中不会反复执行，但会执行此监听-
  // });
  //$faWechat.api.onMenuShareTimeline({
  //    title: '这里有很多适合理财师的活动，公开课，读书会等等一系列的活动都在这里，我们还有更多的活动正在准备中！', // 分享标题
  //    link: '', // 分享链接
  //    imgUrl: 'http://static.superfa.cn/upload/bann/20150922/1442901612479pic.jpg', // 分享图标
  //    success: function() {
  //        // 用户确认分享后执行的回调函数
  //    },
  //    cancel: function() {
  //        // 用户取消分享后执行的回调函数
  //    }
  //});
  //
  //$faWechat.api.onMenuShareAppMessage({
  //    title: '又有理财师的福利了，神秘活动等你来！', // 分享标题
  //    desc: '这里有很多适合理财师的活动，公开课，读书会等等一系列的活动都在这里，我们还有更多的活动正在准备中！', // 分享描述
  //    link: '', // 分享链接
  //    imgUrl: 'http://static.superfa.cn/upload/bann/20150922/1442901612479pic.jpg', // 分享图标
  //    type: '', // 分享类型,music、video或link，不填默认为link
  //    dataUrl: '', // 如果type是music或video，则要提供数据链接，默认为空
  //    success: function() {
  //        // 用户确认分享后执行的回调函数
  //    },
  //    cancel: function() {
  //        // 用户取消分享后执行的回调函数
  //    }
  //});
})
.controller('drainDetailCtrl',function($scope,$faAPI,$stateParams,$faPopup,$faIOSBridge,$location,$filter,$faWechat,$faPlatform,$http){
  if(!$stateParams.id){
      return
  }
  $scope.hostImgUrl = reqUrl;
  $scope.iSshare = $stateParams.share;//是否被分享;

  $scope.dto = {};

  $scope.data = {
      publicActivitiesId:$stateParams.id,
      personName:'',
      personMobile:''
  };


    var premise = $http({
        method: "GET",
        url: WXJKQZ+'/wjtPublicActivities/detailWjtPublicActivities',
        params: {id:$stateParams.id}
    })
    premise.then(function(resp){
        $scope.dto = resp.data.attribute.dto;
    })

  $scope.activityAdd = function(){
      if(!$scope.data.personName){
          $faPopup.alert({
              title: '请填写姓名'
          });
          return;
      }
      if(!$scope.data.personMobile){
          $faPopup.alert({
              title: '请填写手机号码'
          });
          return;
      }
      if(!/^1\d{10}$/.test($scope.data.personMobile)) {
          $faPopup.alert({
              title: ' 手机号码格式错误'
          });
          return;
      }

      var premise = $http({
          method: "POST",
          url: WXJKQZ+'/wjtPublicActivitiesPerson/addWjtPublicActivitiesPerson',
          params: $scope.data
      })
      premise.then(function(resp){
          $faPopup.alert({
              title: '报名成功,讲师会尽快与您联系'
          });
          var premise_n = $http({
              method: "GET",
              url: WXJKQZ+'/wjtPublicActivities/detailWjtPublicActivities',
              params: {id:$stateParams.id}
          })
          premise_n.then(function(resp){
              $scope.dto = resp.data.attribute.dto;
          })
          $scope.data.personName = '';
          $scope.data.personMobile = '';
          $scope.data.personWechat = '';
          $scope.data.personJob = '';
          $scope.activityShow = false;
      })

  }
})
.controller('videolistCtrl',function($scope,$faAPI,$faModal,$toview,$yukuvideo,$faMAP,$rootScope){
    $faAPI.video.listFpVideo().then(function(json){
        $scope.videoData = json.list;
    });
    $faModal('play_video','views/video/playvideo.html',$scope,{
        initialize:function(){
            $yukuvideo.play($scope.vid);
        }
    });
    $scope.playVideo = function(vid){
        $scope.vid = vid;
        $scope.modal.play_video();
    };
    $scope.toView = function(type,id){
        $toview.go(type,id);
    };
    $scope.investType = $faMAP.investType;
    function examinelogin(){
        $scope.user.info.isLogin = true;
    }
    $scope.gologin = function(){
        $rootScope.modal.login(examinelogin);
    }
});