/**
 * 使用fis3构建优化生产环境--初级版
 * create by 2016/10/13
 * --nomad
 */
//更改此文件配置编译不会删除冗余文件，需要手动删除， fis3 release -d ../www 会做增量更新
//localwww为本地未编译文件夹
//www为压缩，合并


// 指定文件夹加 md5
fis.match('/js/*.js', {
    useHash: true
});
fis.match('/lib/ionic/js/*.js', {
    useHash: true
});
fis.match('/css/*.css', {
    useHash: true
});
//fis.match('/www/pkg/*', {
//    useHash: true
//});

//// 启用 fis-spriter-csssprites 插件
//fis.match('::package', {
//    spriter: fis.plugin('csssprites')
//});
//
//// 对 CSS 进行图片合并
//fis.match('/www/css/*.css', {
//    // 给匹配到的文件分配属性 `useSprite`
//    useSprite: true
//});




////自动去除console.log等调试信息--不可用-与angular冲突报错，原因未知
//fis.config.set('settings.optimizer.uglify-js', {
//    compress : {
//        drop_console: true
//    }
//});

//只压缩空间不替换变量，为了与angular做兼容
fis.config.set('settings.optimizer.uglify-js', {
    mangle:false

});
fis.match('/js/*.js', {
    // fis-optimizer-uglify-js 插件进行压缩，已内置
    optimizer: fis.plugin('uglify-js')

});
fis.match('/css/*.css', {
    // fis-optimizer-clean-css 插件进行压缩，已内置
    optimizer: fis.plugin('clean-css')
});

fis.match('/img/*.png', {
    // fis-optimizer-png-compressor 插件进行压缩，已内置
    optimizer: fis.plugin('png-compressor')
});

//合并资源--
fis.match('::package', {
    postpackager: fis.plugin('loader', {
        allInOne: {
            js: function (file) {
                return "/pkg/" + file.filename + "_aio.js";
            },
            css: function (file) {
                return "/pkg/" + file.filename + "_aio.css";
            }
        }
    })
});

//资源定位使用相对路径，默认FIS3会全部替换为绝对路径
//会让modal,router的url引用不能替换---_url解决方案
fis.hook('relative');
fis.match('**', { relative: true });

