angular.module('starter.counselor', [])
.controller('allinCtrl', function($scope, $stateParams, $faAPI,$http,$faModal,$state,$faPopup) {
    var myChart;

    //十个风险级别对应的收益数据
    var config = {
        method: 'GET',
        url: reqUrl+'/smart/api/smartSurveyQuestion/querySmartRevenueList'

    };
    $http(config).
    success(function(data, status, headers, config) {
        $scope.riskData = data.attributes || {};
        //console.log($scope.riskData);
        //$state.go('customerDetail');
        //self.hide();
    }).
    error(function(data, status, headers, config) {
        // called asynchronously if an error occurs
        // or server returns response with an error status.
    });
    var initechar  = function(){//ie使用readyState判断
        myChart = echarts.init(document.getElementById('main'));
        myChart.title = '智能投顾';

        var option = {
            animationDuration:1000,//初始动画时长
            tooltip: {
                trigger: 'item',
                //formatter: " {b} {d}%"
                formatter: " {b}"
            },
            color:['#feb73b','#fff','#fa4e4e','#fff','#22dedd','#fff'],
            series: [

                {
                    name:'访问来源',
                    type:'pie',
                    radius: ['55%', '70%'],
                    labelLine: {
                        normal: {
                            show: false
                        }
                    },
                    label: {
                        normal: {
                            show: false
                        },
                        emphasis: {
                            show: false
                        }
                    },
                    data:$scope.sledata[5]

                }
            ]
        };

        myChart.setOption(option);
        $scope.slerange = function(){
            //console.log($scope.sledata);
            //console.log($scope.sledata[$scope.sledata.rangeStep]);
            //console.log($scope.sledata[$scope.sledata.rangeStep]);
            option.series[0].data = $scope.sledata[$scope.sledata.rangeStep];
            myChart.setOption(option);
            //占比文字数据
            $scope.sledata.num1 = $scope.sledata[$scope.sledata.rangeStep][0].value;
            $scope.sledata.num2 = $scope.sledata[$scope.sledata.rangeStep][2].value;
            $scope.sledata.num3 = $scope.sledata[$scope.sledata.rangeStep][4].value;
            //收益文字数据
            try {
                $scope.data.bean.minRevenue = $scope.riskData.list[$scope.sledata.rangeStep-1].minRevenue;
                $scope.data.bean.maxRevenue = $scope.riskData.list[$scope.sledata.rangeStep-1].maxRevenue;
            }catch(err){
                console.log('赋值收益文字数据error');
            }


        };
        //默认数据，以及是否测评过
        var config = {
            method: 'GET',
            url: reqUrl+'/smart/api/smartSurveyQuestion/querySmartSurveyReport'
            //params: {
            //    faId:'11'
            //}
        };
        $http(config).
        success(function(data, status, headers, config) {
            $scope.data = data.attributes || {};
            $scope.sledata.rangeStep = data.attributes.bean.stall;
            $scope.slerange();
            //$state.go('customerDetail');
            //self.hide();

        }).
        error(function(data, status, headers, config) {
            // called asynchronously if an error occurs
            // or server returns response with an error status.
        });

    };

    $scope.sledata = {
        1:[
            {value:100, name:'固收'},
            {value:0, name:''},
            {value:0, name:'权益'},
            {value:0, name:''},
            {value:0, name:'其他'},
            {value:0, name:''}

        ],
        2:[
            {value:100, name:'固收'},
            {value:0, name:''},
            {value:0, name:'权益'},
            {value:0, name:''},
            {value:0, name:'其他'},
            {value:0, name:''}
        ],
        3:[
            {value:100, name:'固收'},
            {value:0, name:''},
            {value:0, name:'权益'},
            {value:0, name:''},
            {value:0, name:'其他'},
            {value:0, name:''}
        ],
        4:[
            {value:100, name:'固收'},
            {value:0, name:''},
            {value:0, name:'权益'},
            {value:0, name:''},
            {value:0, name:'其他'},
            {value:0, name:''}
        ],
        5:[
            {value:70, name:'固收'},
            {value:0.25, name:''},
            {value:30, name:'权益'},
            {value:0.25, name:''},
            {value:0, name:'其他'},
            {value:0, name:''}

        ],
        6:[
            {value:70, name:'固收'},
            {value:0.25, name:''},
            {value:30, name:'权益'},
            {value:0.25, name:''},
            {value:0, name:'其他'},
            {value:0, name:''}
        ],
        7:[
            {value:40, name:'固收'},
            {value:0.33, name:''},
            {value:40, name:'权益'},
            {value:0.33, name:''},
            {value:20, name:'其他'},
            {value:0.33, name:''}
        ],
        8:[
            {value:40, name:'固收'},
            {value:0.33, name:''},
            {value:40, name:'权益'},
            {value:0.33, name:''},
            {value:20, name:'其他'},
            {value:0.33, name:''}
        ],
        9:[
            {value:10, name:'固收'},
            {value:0.33, name:''},
            {value:50, name:'权益'},
            {value:0.33, name:''},
            {value:40, name:'其他'},
            {value:0.33, name:''}
        ],
        10:[
            {value:10, name:'固收'},
            {value:0.33, name:''},
            {value:50, name:'权益'},
            {value:0.33, name:''},
            {value:40, name:'其他'},
            {value:0.33, name:''}
        ]
    };
    //判断是否已加载js文件
    if(typeof echarts == "undefined" ){
        //动态添加echart
        var body = document.body;
        var echart = document.createElement('script');
        echart.src = 'lib/js/ECharts.min.js';
        body.appendChild(echart);
        echart.onload = function(){
            initechar();
        };

    }else {
        initechar();
    }

    $faModal('add', 'views/customer/add.html', $scope, {
        //cSex: [{
        //  key: '1',
        //  name: '男'
        //}, {
        //  key: '2',
        //  name: '女'
        //}],
        initialize: function() {

            var self = this;

            self.data = {};

            self.data.qajson = [];

            self.step = 1;

            self.buttonText = '下一题';

            //self.data.cSex = self.cSex[0];

            $http.get(reqUrl+'/smart/api/smartSurveyQuestion/smartQuestion').
            success(function(data, status, headers, config) {
                // this callback will be called asynchronously
                // when the response is available
                $scope.questionList = data.attributes.resultJson;
            }).
            error(function(data, status, headers, config) {
                // called asynchronously if an error occurs
                // or server returns response with an error status.
            });



        },
        change: function(index, id,answer) {
            console.log(index,id,answer);

            var self = this;

            self.data.qajson[index] = {
                tid:id,
                sid:answer
            };
            console.log(self.data.qajson);

        },
        done: function() {

            var self = this;

            self.buttonText = '下 一 题';

            if (self.step >= $scope.questionList.length - 1) {
                self.buttonText = '提 交 测 评';
            }

            if (self.step - 1 >= 0 && !self.data.qajson[self.step - 1]) {
                $faPopup.alert({
                    title: '请做出选择'
                })
            } else if (self.step < $scope.questionList.length) {
                self.step++;
            } else {

                var config = {
                    method: 'GET',
                    url: reqUrl+'/smart/api/smartSurveyQuestion/addSmartQuestion',
                    params: {
                        //faId:'11',
                        qajson:angular.toJson(self.data.qajson)
                    }
                };
                $http(config).
                success(function(data, status, headers, config) {
                    $state.go('customerDetail');
                    self.hide();
                }).
                error(function(data, status, headers, config) {
                    // called asynchronously if an error occurs
                    // or server returns response with an error status.
                });

            }


        }
    });



})
.controller('CustomerDetailCtrl',function($scope,$http,$state,$faModal){

    var config = {
        method: 'GET',
        url: reqUrl+'/smart/api/smartSurveyQuestion/querySmartSurveyReport'
    };
    $http(config).
    success(function(data, status, headers, config) {
        $scope.data = data.attributes || {};
        //$state.go('customerDetail');
        //self.hide();
    }).
    error(function(data, status, headers, config) {
        // called asynchronously if an error occurs
        // or server returns response with an error status.
    });
    $faModal('add', 'views/customer/add.html', $scope, {
        //cSex: [{
        //  key: '1',
        //  name: '男'
        //}, {
        //  key: '2',
        //  name: '女'
        //}],
        initialize: function() {

            var self = this;

            self.data = {};

            self.data.qajson = [];

            self.step = 1;

            self.buttonText = '下一题';

            //self.data.cSex = self.cSex[0];

            $http.get(reqUrl+'/smart/api/smartSurveyQuestion/smartQuestion').
            success(function(data, status, headers, config) {
                // this callback will be called asynchronously
                // when the response is available
                $scope.questionList = data.attributes.resultJson;
            }).
            error(function(data, status, headers, config) {
                // called asynchronously if an error occurs
                // or server returns response with an error status.
            });



        },
        change: function(index, id,answer) {
            console.log(index,id,answer);

            var self = this;

            self.data.qajson[index] = {
                tid:id,
                sid:answer
            };
            console.log(self.data.qajson);

        },
        done: function() {

            var self = this;

            self.buttonText = '下 一 题';

            if (self.step >= $scope.questionList.length - 1) {
                self.buttonText = '提 交 测 评';
            }

            if (self.step - 1 >= 0 && !self.data.qajson[self.step - 1]) {
                $faPopup.alert({
                    title: '请做出选择'
                })
            } else if (self.step < $scope.questionList.length) {
                self.step++;
            } else {

                var config = {
                    method: 'GET',
                    url: reqUrl+'/smart/api/smartSurveyQuestion/addSmartQuestion',
                    params: {
                        //faId:'11',
                        qajson:angular.toJson(self.data.qajson)
                    }
                };
                $http(config).
                success(function(data, status, headers, config) {
                    $scope.data = data.attributes || {};
                    self.hide();
                }).
                error(function(data, status, headers, config) {
                    // called asynchronously if an error occurs
                    // or server returns response with an error status.
                });

            }


        }
    });
})
.controller('schemeCtrl',function($scope,$http,$state,$stateParams,$faPopup){
    if(!$stateParams.stall){
        $stateParams.stall = 5;
    }

    var config = {
        method: 'GET',
        url: reqUrl+'/smart/api/smartSurveyQuestion/querySmartInvestmentScheme',
        params:{
            stall:$stateParams.stall
        }
    };
    $http(config).
    success(function(data, status, headers, config) {
        $scope.data = data.attributes || {};
        //$state.go('customerDetail');
        //self.hide();
    }).
    error(function(data, status, headers, config) {
        // called asynchronously if an error occurs
        // or server returns response with an error status.
    });
    $scope.toView = function(type, id){
        if(type && id){
            var url = '';

            if(type == '01'){
                url = 'product.simu';
            }else if(type == '02' || type == '03'){
                url = 'product.xtzgdetail';
            }else if(type == '06'){
                url = 'product.pevc';
            }

            //$state.go(url, {id : id});
            $state.go('product.xtzgdetail', {id :id});
        }else{
            $faPopup.alert({
                title: '暂无此产品介绍'
            });
            console.log('error,,');
        }

    };
})
.controller('inviteHomeCtrl',function($scope,$stateParams,$interval,$faAPI,$faWechat,$location){
    $scope.name = $stateParams.name;
    $scope.userimg = $stateParams.userimg;
    $scope.phone = $stateParams.phone;
    $scope.data = {
        sourceMobile:$scope.phone
    };
    $scope.interval = 0;
    $scope.getInviteSuccess = function(){
        $faAPI.user.quickLogin($scope.data).then(function(json) {
            if(json.isNewUser){
                $scope.isSide = true;
                $scope.isNewUser = true;

            }else {
                $scope.isSide = true;
            }

        });
    };
    $scope.getInviteCode = function(){
        $scope.interval = 90;
        $faAPI.media.sendLoginVcode({mobile: $scope.data.loginName}).then(function() {
            $interval.cancel($scope.sendTimer);

             $scope.sendTimer = $interval(function() {
                if ($scope.interval > 0) {
                    $scope.interval--;
                } else {
                    $interval.cancel($scope.sendTimer);
                    $scope.interval = 0;
                }
            }, 1000);
        });
    };

    function initShare(){
        $faWechat.api.onMenuShareTimeline({
            title: $stateParams.name + '邀请你加入SFA超级理财师', // 分享标题
            link: $location.protocol() + '://' + $location.host() + '/#/inviteHome?phone='+$stateParams.phone+'&userimg='+$stateParams.userimg+'&name='+encodeURI($stateParams.name), // 分享链接
            imgUrl: 'http://lec.superfa.cn/upload/bann/20160621/1466493174065sfa.jpg', // 分享图标
            success: function() {
                // 用户确认分享后执行的回调函数
            },
            cancel: function() {
                // 用户取消分享后执行的回调函数
            }
        });
        $faWechat.api.onMenuShareAppMessage({
            title: $stateParams.name + '邀请你加入SFA超级理财师', // 分享标题
            desc: '您是理财师？还没加入SFA？再不加入就out啦 ', // 分享描述
            link: $location.protocol() + '://' + $location.host() + '/#/inviteHome?phone='+$stateParams.phone+'&userimg='+$stateParams.userimg+'&name='+encodeURI($stateParams.name), // 分享链接
            imgUrl: 'http://lec.superfa.cn/upload/bann/20160621/1466493174065sfa.jpg', // 分享图标
            type: 'link', // 分享类型,music、video或link，不填默认为link
            dataUrl: '', // 如果type是music或video，则要提供数据链接，默认为空
            success: function() {
                // 用户确认分享后执行的回调函数
            },
            cancel: function() {
                // 用户取消分享后执行的回调函数
            }
        })
    }
    //可没有接受邀请直接分享，提前初始化
    initShare();
})
.controller('insideCtrl',function($scope,$faAPI,$faWechat,$location,$faModal){
    $scope.data = {};
    $scope.isSide = false;
    $scope.showLogin = function(){
        $faAPI.user.login($scope.data).then(function(json){
            $scope.isSide = true;
            $scope.data.uName = json.uRealName;//真实姓名
            $scope.data.uImage = json.cardAddress;//认证名片
            initShare(json);
            $faModal('pre_sile','views/invite/preview.html',$scope,{

            });
        });
    };

    function initShare(json){
        $faWechat.api.onMenuShareTimeline({
            title: json.uRealName + '邀请你加入SFA超级理财师', // 分享标题
            link: $location.protocol() + '://' + $location.host() + '/#/inviteHome?phone='+json.loginName+'&userimg='+json.cardAddress+'&name='+encodeURI(json.uRealName), // 分享链接
            imgUrl: 'http://lec.superfa.cn/upload/bann/20160621/1466493174065sfa.jpg', // 分享图标
            success: function() {
                // 用户确认分享后执行的回调函数
            },
            cancel: function() {
                // 用户取消分享后执行的回调函数
            }
        });
        $faWechat.api.onMenuShareAppMessage({
            title: json.uRealName + '邀请你加入SFA超级理财师', // 分享标题
            desc: '您是理财师？还没加入SFA？再不加入就out啦', // 分享描述
            link: $location.protocol() + '://' + $location.host() + '/#/inviteHome?phone='+json.loginName+'&userimg='+json.cardAddress+'&name='+encodeURI(json.uRealName), // 分享链接
            imgUrl: 'http://lec.superfa.cn/upload/bann/20160621/1466493174065sfa.jpg', // 分享图标
            type: 'link', // 分享类型,music、video或link，不填默认为link
            dataUrl: '', // 如果type是music或video，则要提供数据链接，默认为空
            success: function() {
                // 用户确认分享后执行的回调函数
            },
            cancel: function() {
                // 用户取消分享后执行的回调函数
            }
        })
    }


})
.controller('shareinfoCtrl',function($scope,$faAPI,$stateParams,$faWechat,$location,$faModal){
    $scope.pager = {
        nextPage:1,
        pageSize:5,
        hasNaxtPage:true
    };

    $scope.sphone = $stateParams.sphone;

    $scope.mood = [];
    //根据分享的手机号码查询信息
    $faAPI.user.getUserForLonginName({
        loginName:$stateParams.sphone

    }).then(function(json){
        $scope.sharePhoneInfo = json.dto;
        console.log(json);
    });
    $scope.loadmore = function(){
        //根据分享的手机号码查询说说信息
        $faAPI.user.getUserSaySayForLonginName({
            loginName:$stateParams.sphone,
            pageNo:$scope.pager.nextPage,
            pageSize:$scope.pager.pageSize
        }).then(function(json){
            $scope.mood.push.apply($scope.mood,json.list);
            $scope.pager = json.pager;
            $scope.$broadcast('scroll.infiniteScrollComplete');

        });
    }


});