angular.module('starter.productCtrl', [])
.controller('ProductxtzgDetailCtrl',function($scope,$rootScope,$stateParams,$ionicScrollDelegate, $faModal, $location, $faAPI, $faPopup, $faUser, $faMAP, $state, product,$faLoading, $faIOSBridge, $ionicNavBarDelegate,$timeout,$faWechat,$faPlatform,$ionicPopup,$yukuvideo){


    //分享信息
    $scope.share = $stateParams.share;
    $scope.sharePhone = $stateParams.sharePhone;
    //是否协议价
    $scope.isagreement = false;
    //筛选图标状态
    $scope.isFilterSle = false;

    var sfavideo = product.result.sfaVideo;

    if(sfavideo != undefined){
        if(sfavideo.isEncryption == 0){
            VIDEO_PWD = sfavideo.encryptionPassword;
        }else {
            VIDEO_PWD = '';
        }

        $yukuvideo.play(sfavideo.videoId,sfavideo.id);
    }
    $scope.item = (function(item) {
        if (item.expectSaleAmount != 0) {
            item.process = ((item.allSubscriptionAmount * 100 / item.expectSaleAmount).toFixed(2) > 100) ? 100 : (item.allSubscriptionAmount * 100 / item.expectSaleAmount).toFixed(2);
        } else {
            item.process = 0;
        }
        for(var i=0;i<item.profitAndRebateList.length;i++){
            if(item.profitAndRebateList[i].pIsAgreement == 1){
                //是否协议价
                $scope.isagreement = true;
            }
        }
        return item;
    })(product.result);
    //产品详情由富文本拆分的字段
    try {
        $scope.summary = JSON.parse(product.result.summary);
    }
    catch(err){
    }
    //7-15私募基金法更改--wap4.1.3--del-code
    //if (!$faUser.info.isLogin && !$scope.share) {
    //    $rootScope.modal.login();
    //}
    //// 产品详情
    function getData(){

        $faAPI.product.detail({
            code: $stateParams.id
        }).then(function(json){
            console.log(json);

            $scope.item = (function(item) {
                if (item.expectSaleAmount != 0) {
                    item.process = ((item.allSubscriptionAmount * 100 / item.expectSaleAmount).toFixed(2) > 100) ? 100 : (item.allSubscriptionAmount * 100 / item.expectSaleAmount).toFixed(2);
                } else {
                    item.process = 0;
                }
                for(var i=0;i<item.profitAndRebateList.length;i++){
                    if(item.profitAndRebateList[i].pIsAgreement == 1){
                        //是否协议价
                        $scope.isagreement = true;
                    }
                }
                return item;
            })(json.result);

            getBiddingQuery();
        });

    }
    getData();

    function examinelogin(){
        $scope.user.info.isLogin = true;
    }
    $scope.gologin = function(){
        $rootScope.modal.login(examinelogin);
    };
    $faModal('xtzg_modal','views/modals/xtzgdetail_modal.html',$scope);
    $faModal('pevc_modal','views/modals/pevcdetail_modal.html',$scope);

    //产品详情
    $scope.openOrder = function(type){
        if(type){
            $scope.modal.xtzg_modal();
        }else {
            $scope.modal.pevc_modal();
        }
    };
    function getBiddingQuery(){
        //获取含竞价的返佣信息
        $faAPI.product.biddingQuery({
            pId:$scope.item.productId
        }).then(function(res){
            $scope.res = res;
        });
    }

    //复制简版功能提示
    var hintv = document.getElementById('hintcopy');
    if(!window.localStorage.ishintCopy){
        hintv.style.display = 'block';
    }
    $scope.hidehintCopy = function(){
        hintv.style.display = 'none';
        window.localStorage.ishintCopy = true;
    };

    //要做全局的登陆认证状态监听更新数据
    $scope.$watch('userRole',function(newValue){
        if(newValue){
            getData();
            getBiddingQuery();
        }
    });


    $scope.params = $location.search();
    if($scope.params.name){
        $scope.uName =decodeURI($scope.params.name);
    }

    if ($scope.params.share && $scope.params.share.indexOf('isformallin')<0) {
        $timeout(function() {
            $ionicNavBarDelegate.showBar(false);
        }, 0);
    }
    //竞价收单
    $scope.goBid = function(id){
        if($scope.xtzg_modal){
            $scope.xtzg_modal.hide();
        }
        if($scope.isagreement){
            $ionicPopup.alert({
                title: '协议价产品无法竞价',
                okText:'好的',
                okType:'button-assertive'
            });
            return
        }
        if($faUser.info.isLogin){
            if(!$rootScope.userRole){
                $ionicPopup.confirm({
                    title: '你还未上传名片或在审核中,上传并审核通过后才能竞价收单',
                    cancelText:'取消',
                    okText:'去上传',
                    cancelType:'',
                    okType:'button-assertive'
                }).then(function(res) {

                    if(!res){

                    }
                    if(res){
                        $state.go('app.myself.certification')
                    }
                });
            }else {
                $faAPI.product.queryOldBiddingReceipt({
                    pId:id
                }).then(function(res){
                    if(res.flagOldBidding){
                        $ionicPopup.confirm({
                            title: '你已提交过竞价,是否继续？',
                            cancelText:'取消',
                            okText:'继续竞价',
                            cancelType:'',
                            okType:'button-assertive'
                        }).then(function(res) {
                            if(res){
                                $state.go('product.bidding',{pid:id})
                            }
                        });
                    }else {
                        $state.go('product.bidding',{pid:id})
                    }
                });
            }


        }else {
            $rootScope.modal.login();
        }


    };
    //立即预约
    $scope.goOrder = function(id){
        //点击预约需要关闭详情弹层
        if($scope.xtzg_modal){
            $scope.xtzg_modal.hide();
        }
        if($scope.pevc_modal){
            $scope.pevc_modal.hide();
        }
        $faUser.info.isLogin ? $state.go('product.xtzgOrder',{pid:id}) : $rootScope.modal.login();
    };
    $scope.goCertification = function($event){
        $event.stopPropagation();
        $faUser.info.isLogin ? $state.go('app.myself.certification') : $rootScope.modal.login();
    };
    //放弃承销
    $scope.giveup = function(id){
        if($scope.xtzg_modal){
            $scope.xtzg_modal.hide();
        }

        var giveupPopup = $ionicPopup.confirm({
            title:'是否放弃承销权?',
            buttons: [
                { text: '取消' },
                {
                    text: '<b>确定</b>',
                    type: 'button-default',
                    onTap: function(e) {
                        e.preventDefault();
                        $faAPI.product.dropBiddingReceipt({
                            biddingReceiptId:id
                        }).then(function(res){
                            giveupPopup.close();
                            $scope.res.biddingReceiptUserInfo.currentBiddingIsLogin = false;
                        });
                    }
                }]
        });
    };
    //是否活动主推
    $scope.isM2bProduct = function(product){
        var flag = false,product = product || {};
        if (product && product.activitiesMollionsWealthList && product.activitiesMollionsWealthList.length){
            angular.forEach(product.activitiesMollionsWealthList,function(o){
                if (o.activitiesProductType == "04"){
                    flag = true;
                }
            });
        }
        return flag;
    };

    if($stateParams.sharePhone){
        //根据分享的手机号码查询信息
        $faAPI.user.getUserForLonginName({
            loginName:$stateParams.sharePhone
        }).then(function(json){
            $scope.sharePhoneInfo = json.dto;
            console.log(json);
        });
    }


    // 留言列表
    $faModal('comment', 'views/product/comment.html', $scope, {
        initialize: function() {
            var self = this;

            self.pager = {
                hasNaxtPage: true,
                pageSize: 10,
                nextPage: 1,
            };

            $scope.comments = [];
        },
        loadMoreItems: function() {

            var self = this;

            self.data = {
                _pId: $scope.item.productId,
                pageNo: self.pager.nextPage,
                pageSize: self.pager.pageSize
            };

            $faAPI.productComment.list(self.data).then(function(json) {
                $scope.comments = $scope.comments.concat(json.list);
                self.pager = json.pager;
                $scope.$broadcast('scroll.infiniteScrollComplete');
            });
        },
        up: function(index, id) {

            var data = {
                pCommentsId: id
            };

            if ($faUser.info.isLogin) {

                $faAPI.productComment.up(data).then(function() {
                    $scope.comments[index].upCount += 1;
                });

            } else {
                $rootScope.modal.login();
            }

        }
    });

    // 写留言
    $faModal('writeComment', 'views/product/writeComment.html', $scope, {
        initialize: function() {

            var self = this;

            self.data = {
                pId: $scope.item.productId
            };


        },
        done: function() {

            var self = this;

            if (!self.data.pCommentsContent) {
                $faPopup.alert({
                    title: '请输入评论内容'
                })
            } else {

                if ($faUser.info.isLogin) {

                    $faAPI.productComment.add(self.data).then(function(json) {

                        var data = {
                            _pId: $scope.item.productId,
                            _pt: 'wap'
                        }



                        $scope.comments.unshift(json.list[0]);

                        self.hide();

                    });

                } else {
                    $rootScope.modal.login();
                }


            }

        }
    });

    // 下载附件
    $faModal('download', 'views/product/download.html', $scope, {
        done: function(id) {

            var self = this;

            var data = {
                id: id,
                pId: $scope.item.productId
            };

            if ($faUser.info.isLogin) {

                $faAPI.product.download(data).then(function() {
                    self.hide();
                });

            } else {
                $rootScope.modal.login();
            }

        }
    });

    // 产品预约
    $faModal('order', 'views/product/order.html', $scope, {
        initialize: function() {
            var self = this;
            self.data = {};
            self.data.pid = $scope.item.productId;
        },
        done: function() {
            var self = this;

            if (!self.data.name) {

                $faPopup.alert({
                    title: '请输入您的姓名'
                });

            } else if (!$faMAP.regular.name.test(self.data.name)) {

                $faPopup.alert({
                    title: '姓名格式输入有误'
                });

            } else if (!self.data.mobile) {

                $faPopup.alert({
                    title: '请输入您的手机号码'
                });

            } else if (!$faMAP.regular.mobile.test(self.data.mobile)) {

                $faPopup.alert({
                    title: '手机格式输入有误'
                });

            } else if (!self.data.amount) {

                $faPopup.alert({
                    title: '请输入您的预约金额'
                });

            } else if (!$faMAP.regular.integer.test(self.data.amount)) {

                $faPopup.alert({
                    title: '预约金额输入格式有误'
                });

            } else {

                $faAPI.order.applyPre(self.data).then(function(json) {
                    $faPopup.alert({
                        title: '预约成功，请等待专业顾问回复'
                    });
                    $state.go('app.deal');
                    self.hide();
                });

            }

        }
    });
    $scope.openWriteComm = function(){
        if (!$faUser.info.isLogin) {
            $rootScope.modal.login();
        } else {
            $scope.modal.writeComment();
        }
    };
    $scope.orderOpen = function() {
        if (!$faUser.info.isLogin) {
            $rootScope.modal.login();
        } else {
            $scope.modal.order();
        }
    };


    //分享产品详情
    $scope.proshare = function() {
        //微信简版版本
        //未登录的情况下也可以分享产品
        var data;
        if ($faUser.info.isLogin) {
            //$rootScope.modal.login();
            //5.信托、资管：投资领域、付息方式、大小配比
             data = {
                title:$scope.item.productShortName,
                desc:'投资领域：'+$scope.item.investDesc+'；付息方式：'+$scope.item.paymentInterestTypeDesc+'；大小配比：'+$scope.item.pSizeRatioExplain,
                link:reqUrl + '/#/product/xtzgdetail/' + $scope.item.productCode+'?share=true&sharePhone='+$faUser.info.mobile,
                imgUrl:citeImgUrl+$scope.item.pImageUrl
            };

        }else {
             data = {
                title:$scope.item.productShortName,
                desc:'投资领域：'+$scope.item.investDesc+'；付息方式：'+$scope.item.paymentInterestTypeDesc+'；大小配比：'+$scope.item.pSizeRatioExplain,
                link:reqUrl + '/#/product/xtzgdetail/' + $scope.item.productCode+'?share=true',
                imgUrl:citeImgUrl+$scope.item.pImageUrl
            };
        }



        if($faPlatform.androidAPP){
            document.addEventListener("deviceready",OnDeviceReady, false);
            function OnDeviceReady()
            {
                cordova.exec(null, null, "MyPlugin", "toShare", [data.title,data.desc,data.link,data.imgUrl]);
            }
        }else{

            productShare(data.title,data.desc,data.link,data.imgUrl);
        }

    };
    //ng-model绑定input输入获取值要定义成对象
    //http://jimhoskins.com/2012/12/14/nested-scopes-in-angularjs.html
    $scope.mailData = {};

    $faModal('send_mail','views/modals/sendMail.html',$scope,{
        initialize:function(){
          //console.log($scope.modal.send_mail());
        },
        done:function(){
            var self = this;
            $faAPI.product.sendMail({
                pId:$scope.item.productId,
                pType:$scope.item.productType,
                emailAddress:$scope.mailData.sendMailUrl
            }).then(function(){
                $ionicPopup.alert({
                    title:'发送邮件成功'
                });
                $rootScope.snedMailHistory.push($scope.mailData.sendMailUrl);
                $rootScope.snedMailHistory = unique2($rootScope.snedMailHistory.reverse());
                $scope.mailData.sendMailUrl = null;
                self.hide();
            });

        }
    });

    //发送邮件--使用全局函数让native调用
    window.showSendMail = function(){
        $scope.modal.send_mail();
    };

    //清空发送邮件历史记录
    $scope.delsnedEmailHis = function(){
        $rootScope.snedMailHistory = [];
    };


    //复制简版
    $faModal('copy_brief','views/modals/copyBrief.html',$scope,{
        initialize:function(){
            $scope.copyType = 'xtzg';
            //是否包销
            if(product.result.flagBaoxiao){
                $scope.copyisbaoxiao = '***SFA独家包销***';
            }
            //资金用途
            $scope.copyzjyt = $scope.summary.zjyt?$scope.summary.zjyt.replace(/<[^>]+>/g,""):'-';
            //风险控制
            $scope.copyfxkz = $scope.summary.fxkz?$scope.summary.fxkz.replace(/<[^>]+>/g,""):'-';
            //产品优势
            $scope.copycpys = $scope.summary.cpys?$scope.summary.cpys.replace(/<[^>]+>/g,""):'-';
            //募集账号
            $scope.copymjzh = $scope.summary.mjzh?$scope.summary.mjzh.replace(/<[^>]+>/g,""):'-';
            if($faUser.info.isLogin){

                $scope.copyuserinfo = '';
                if($faUser.info.realName){
                    $scope.copyuserinfo = '联系人:'+$faUser.info.realName;
                }
                $scope.copyuserinfo =$scope.copyuserinfo +' 联系电话:'+$faUser.info.mobile;
            }

        },
        done:function(){
            var data = document.getElementById('copyData').value;
            if($faPlatform.androidAPP){
                document.addEventListener("deviceready",OnDeviceReady, false);
                function OnDeviceReady()
                {
                    cordova.exec(null, null, "MyPlugin", "copy", [data]);
                }
            }else{
                copy(data);
            }

        }
    });
    window.showCopyBrief = function(){
        $scope.modal.copy_brief();
    };

    //微信分享
    if($faUser.info.isLogin){
        $faWechat.api.onMenuShareTimeline({
            title: $scope.item.productShortName + '－超级理财师', // 分享标题
            link: $location.protocol() + '://' + $location.host() + '/#/product/xtzgdetail/' + $scope.item.productCode+'?share=true&sharePhone='+$faUser.info.mobile, // 分享链接
            imgUrl: $location.protocol() + '://' + $location.host()+$scope.item.pImageUrl, // 分享图标
            success: function() {
                // 用户确认分享后执行的回调函数
            },
            cancel: function() {
                // 用户取消分享后执行的回调函数
            }
        });
        $faWechat.api.onMenuShareAppMessage({
            title: $scope.item.productShortName + '－超级理财师', // 分享标题
            desc: '投资领域：'+$scope.item.investDesc+'；付息方式：'+$scope.item.paymentInterestTypeDesc+'；大小配比：'+$scope.item.pSizeRatioExplain, // 分享描述
            link: $location.protocol() + '://' + $location.host() + '/#/product/xtzgdetail/' + $scope.item.productCode+'?share=true&sharePhone='+$faUser.info.mobile, // 分享链接
            imgUrl: $location.protocol() + '://' + $location.host()+$scope.item.pImageUrl, // 分享图标
            type: 'link', // 分享类型,music、video或link，不填默认为link
            dataUrl: '', // 如果type是music或video，则要提供数据链接，默认为空
            success: function() {
                // 用户确认分享后执行的回调函数
            },
            cancel: function() {
                // 用户取消分享后执行的回调函数
            }
        })
    }else{
        $faWechat.api.onMenuShareTimeline({
            title: $scope.item.productShortName + '－超级理财师', // 分享标题
            link: $location.protocol() + '://' + $location.host() + '/#/product/xtzgdetail/' + $scope.item.productCode,
            imgUrl: $location.protocol() + '://' + $location.host()+$scope.item.pImageUrl, // 分享图标
            success: function() {
                // 用户确认分享后执行的回调函数
            },
            cancel: function() {
                // 用户取消分享后执行的回调函数
            }
        });
        $faWechat.api.onMenuShareAppMessage({
            title: $scope.item.productShortName + '－超级理财师', // 分享标题
            desc: '投资领域：'+$scope.item.investDesc+'；付息方式：'+$scope.item.paymentInterestTypeDesc+'；大小配比：'+$scope.item.pSizeRatioExplain, // 分享描述
            link: $location.protocol() + '://' + $location.host() + '/#/product/xtzgdetail/' + $scope.item.productCode, // 分享链接
            imgUrl: $location.protocol() + '://' + $location.host()+$scope.item.pImageUrl, // 分享图标
            type: 'link', // 分享类型,music、video或link，不填默认为link
            dataUrl: '', // 如果type是music或video，则要提供数据链接，默认为空
            success: function() {
                // 用户确认分享后执行的回调函数
            },
            cancel: function() {
                // 用户取消分享后执行的回调函数
            }
        })
    }



})
.controller('biddingCtrl', function($scope,$rootScope,$stateParams, $faAPI, $ionicPopup,$state) {
        //竞价
        $scope.resData = resData = {};
        $scope.rebate =  rebate= {};
        $scope.viewUserBate;
        //提交数据
        var comitDate;
        $faAPI.product.biddingQuery({
            pId:$stateParams.pid
        }).then(function(res){
            $scope.productAnueList = res.productAnueList;

        });

        $scope.pushBidding = function(){

            //需要重新初始化数组
            var list = [];
            for(i in rebate){
                var ob = {};
                ob.id = i;
                ob.rebate = rebate[i];
                list.push(ob);
            }

            $faAPI.product.biddingQueryChajia({
                pId:$stateParams.pid,
                flagAnonymous:resData.flagAnonymous,
                json:angular.toJson(list)
            }).then(function(res){
                comitDate = list;
                list = [];
                var baozhengPop = $ionicPopup.show({
                    title:'缴纳保证金提示',
                    template:'因你给出的佣金高于市场均价'+res.chajia+'%，为确保出单理财师的利益，所以需要你提供'+res.bailAmount+'元保证金，承销结束后，所支付保证金会全额退还',
                    buttons: [
                        { text: '取消' },
                        {
                            text: '<b>支付保证金</b>',
                            type: 'button-assertive',
                            onTap: function(e) {
                                e.preventDefault();
                                $faAPI.product.addBidding({
                                    pId:$stateParams.pid,
                                    flagAnonymous:resData.flagAnonymous,
                                    json:angular.toJson(comitDate)
                                }).then(function(res){
                                    baozhengPop.close();
                                    //竞价code,支付时需要
                                    $rootScope.bidID = res.biddingCode;
                                    $state.go('selectPay',{payM:res.bailAmount});

                                });

                            }
                        }]
                });
            });
        };

    })
.controller('xtzgOrderCtrl',function($scope,$faMAP,$faAPI,$faPopup,$stateParams){
    var data = {};
    $scope.data = data;
    $scope.isSuccess = false;
    $scope.data.pid = $stateParams.pid;
    var type = $stateParams.type;
    $scope.orderName = $stateParams.name;
    //console.log($scope.orderName);
    $scope.comit = function(){
        if (!$scope.data.name) {

            $faPopup.alert({
                title: '请输入您的姓名'
            });

        } else if (!$faMAP.regular.name.test($scope.data.name)) {

            $faPopup.alert({
                title: '姓名格式输入有误'
            });

        }  else if (!$scope.data.amount && !$scope.orderName) {

            $faPopup.alert({
                title: '请输入您的预约金额'
            });

        } else if (!$faMAP.regular.integer.test($scope.data.amount) && !$scope.orderName) {

            $faPopup.alert({
                title: '预约金额输入格式有误'
            });

        } else {
            //type为私募预约
            //orderName为海外保险预约
            if(type){
                $faAPI.order.applyPreTmpSM({
                    oAmount:$scope.data.amount,
                    oClientName:$scope.data.name,
                    productId:$scope.data.pid,
                    oRemark:$scope.data.remark
                }).then(function(json) {
                    $scope.isSuccess = true;
                });
            }else if($scope.orderName){
                $faAPI.order.hwbxApplyPre({
                    fpHybxProjectId:$scope.data.pid,
                    fpHybxProject:$scope.orderName,
                    fpHybxRemark:$scope.data.remark
                }).then(function(json) {
                    $scope.isSuccess = true;
                });
            } else {
                $faAPI.order.applyPre($scope.data).then(function(json) {
                    $scope.isSuccess = true;
                });
            }


        }
    }

})
.controller('prolistCtrl',function($interval,$scope,$rootScope,$ionicHistory,$ionicGesture,$faMAP,$faAPI,$faUtil,$state,$faModal,$faPopup,$timeout,$ionicScrollDelegate,$stateParams,$faUser, $ionicPopup){
    //7-15私募基金法更改
    //if (!$faUser.info.isLogin) {
    //    $rootScope.modal.login();
    //}

    //产品tab页的推荐
    $scope.hotList = {};
    $scope.issle = 1;
    var sledivs,sletabview;

    sledivs =  document.querySelectorAll('#slelist>div');
    sletabview = document.getElementById('sletabview');
    sledivs = angular.element(sledivs);
    sletabview = angular.element(sletabview);


    $ionicGesture.on('swipeleft',function(e){

        if($scope.index == 3){return}
        $ionicScrollDelegate.$getByHandle('mainScroll').scrollTo($scope.index*100,0);

        $scope.index++;
        sleNav($scope.index);
        $scope.issle = 1;
        $scope.$digest();

    },sletabview);
    $ionicGesture.on('swiperight',function(e){

        if($scope.index == 0){return}
        $ionicScrollDelegate.$getByHandle('mainScroll').scrollTo($scope.index*100-100,0);

        $scope.index--;
        sleNav($scope.index);
        $scope.issle = 1;
        $scope.$digest();

    },sletabview);

    for(var i=0;i<sledivs.length;i++ ){
        sledivs[i].index = i;
        sledivs[i].onclick = function(e){
            clearClass();
            this.className = 'w4-prolist-sle';
            //show(this.index);
            $scope.index = this.index;
            //初始化排序条件
            $scope.issle = 1;
            $scope.$digest();
            $rootScope.sletype =  this.index;
        }
    }

    function clearClass(){
        //console.log('clearclass');
        for( var i=0;i<sledivs.length;i++){
            sledivs[i].className = '';
        }
    }



    function sleNav(index){
        clearClass();
        //console.log(index);
        //console.log(sledivs[index]);
        sledivs[index].className = 'w4-prolist-sle';
    }
    $scope.scrollGoto = function(index){
        $timeout(function(){
            $ionicScrollDelegate.$getByHandle('mainScroll').scrollTo(index*100,0);
        },50);
    };
    function switchTab (){
        //根据参数跳转选择菜单
        if($stateParams.sletype){
            var sletype = $stateParams.sletype;
            $scope.index = sletype;
            sleNav(sletype);
            $scope.scrollGoto(sletype);
            return
        }
        switch ($rootScope.sletype) {
            case 0:
                $scope.index = 0;
                sleNav($scope.index);
                $scope.scrollGoto($scope.index);

                break;
            case 1:
                $scope.index = 1;
                sleNav($scope.index);
                $scope.scrollGoto($scope.index);

                break;
            case 2:
                $scope.index = 2;
                sleNav($scope.index);
                $scope.scrollGoto($scope.index);

                break;
            case 3:
                $scope.index = 3;
                sleNav($scope.index);
                $scope.scrollGoto($scope.index);
                break;
            case 4:
                $scope.index = 4;
                sleNav($scope.index);
                $scope.scrollGoto($scope.index);
                break;
            default:
                $scope.index = 0;
                sleNav($scope.index);
                $scope.scrollGoto($scope.index);
                break;
        }
    }

    //switchTab();

    //console.log($scope.index);
    $scope.product = {
        investType: $faMAP.investType,
        annualRevenue: $faMAP.annualRevenue,
        rabateRatio: $faMAP.rabateRatio,
        zero: {
            type: '01',
            data: {},
            filter: {},
            pager: {
                hasNaxtPage: true,
                pageSize: 5,
                nextPage: 1
            },
            list: []
        },
        one: {
            type: '02',
            data: {},
            filter: {},
            pager: {
                hasNaxtPage: true,
                pageSize: 5,
                nextPage: 1
            },
            list: [],
            fyFlag:''
        },
        two: {
            type: '03',
            data: {},
            filter: {},
            pager: {
                hasNaxtPage: true,
                pageSize: 5,
                nextPage: 1
            },
            list: [],
            fyFlag:''
        },
        three: {
            type: '06',
            data: {},
            filter: {},
            pager: {
                hasNaxtPage: true,
                pageSize: 5,
                nextPage: 1
            },
            list: [],
            fyFlag:''
        },
        four: {
            data: {},
            filter: {},
            pager: {
                hasNaxtPage: true,
                pageSize: 5,
                nextPage: 1
            },
            list: []
        },
        five:{
            list:[],
            pager:true
        }
    };
    //首页最新推荐
    $faAPI.customer.recommentProduct({
        recommentType:'2'
    }).then(function(json) {
        $scope.searchName = json.list[0].productDTO.name;
    });

    $scope.$on("$ionicView.enter", function () {
        //页面启动缓存时,其controller中不会反复执行，但会执行此监听-
        //用此来更新tab数据
        switchTab();

    });

    //加载更多
    $scope.loadMore = function(name){

        if (name == 'one' || name == 'two') {
            $faUtil.extend($scope.product[name].data, {
                pageSize: $scope.product[name].pager.pageSize,
                type: $scope.product[name].type,
                pageNo: $scope.product[name].pager.nextPage
            });
            $faAPI.product.list($scope.product[name].data, {
                flag: false
            }).then(function(json) {

                var list = json.list.map(function(item) {

                    if (item.expectSaleAmount != 0) {
                        item.process = ((item.allSubscriptionAmount * 100 / item.expectSaleAmount).toFixed(2) > 100) ? 100 : (item.allSubscriptionAmount * 100 / item.expectSaleAmount).toFixed(2);
                    } else {
                        item.process = 0;
                    }

                    return item;
                });

                $scope.product[name].list = $scope.product[name].list.concat(list);
                $scope.product[name].pager = json.pager;
                $scope.product[name].fyFlag = json.fyFlag;

                $scope.$broadcast('scroll.infiniteScrollComplete');

            });
        }
        //PE/VC
        if(name == 'three'){
            $faUtil.extend($scope.product[name].data, {
                type: $scope.product[name].type,
                pageSize: $scope.product[name].pager.pageSize,
                pageNo: $scope.product[name].pager.nextPage
            });

            $faAPI.product.pevcList($scope.product[name].data,{
                flag:false
            }).then(function(json){

                var list = json.list.map(function(item) {
                    if (item.expectSaleAmount != 0) {
                        item.process = ((item.allSubscriptionAmount * 100 / item.expectSaleAmount).toFixed(2) > 100) ? 100 : (item.allSubscriptionAmount * 100 / item.expectSaleAmount).toFixed(2);
                    } else {
                        item.process = 0;
                    }

                    return item;
                });
                $scope.product[name].list = $scope.product[name].list.concat(list);
                $scope.product[name].pager = json.pager;
                $scope.$broadcast('scroll.infiniteScrollComplete');
            });
        }
        //阳光私募
        if(name == 'four'){
            $faUtil.extend($scope.product[name].data, {
                pageSize: $scope.product[name].pager.pageSize,
                pageNo: $scope.product[name].pager.nextPage,
            });
            $faAPI.product.simuList($scope.product[name].data, {
                flag: false
            }).then(function(json) {

                var list = json.list.map(function(item) {
                    item.lsjzJson = item.lsjzJson ? $faUtil.fromJson((item.lsjzJson).replace(/“/g, '"')) : '';
                    return item;
                });

                $scope.product[name].list = $scope.product[name].list.concat(list);
                $scope.product[name].pager = json.pager;
                $scope.$broadcast('scroll.infiniteScrollComplete');

            });
        }
        //海外保险
        if(name == 'five'){
            $scope.product['five'].list = [
                {
                    id:'bcjscxjh',
                    name:'保诚-隽升储蓄计划',
                    zhonglei:'储蓄分红型',
                    nianxian:'整付、5年或10年供款期',
                    zuidi:'20,000-12,499,900美元',
                    toubao:'1-75岁',
                    leixing:'分红型终身寿险',
                    yongjin:'40',
                    shihe:'准备教育金、养老金，财富传承',
                    liangdian:'分红高、增值快、支取灵活',
                    tupian:'https://www.superfa.cn/upload/bann/20160114/145273700229511.png',
                    texing:'长线储蓄，并设有保单红利，一人投资，即可三代受益。灵活运用保单储蓄，兼顾您家庭的子女教育、退休养老等计划，轻松实现不同人生阶段目标。帮助我们有效地抵御通货膨胀的同时，轻松实现家庭的财富积累。豁免医疗核保，亦可自选一系列附加保障。可规避遗产税、赠与税，创造“永远领不完的”财富。'
                },
                {
                    id:'aiajtaxb',
                    name:'AIA-进泰安心保2保障计划',
                    zhonglei:'重疾保障型',
                    nianxian:'10年、18年、25年',
                    zuidi:'10,000美元/7.5万港币',
                    toubao:'15日-65岁',
                    leixing:'分红型重疾险',
                    yongjin:'72',
                    yongjind:'期缴37%起',
                    shihe:'有家族病史，工作压力繁重、注重健康预防的人士',
                    liangdian:'危疾/早期/人寿/储蓄4大功能',
                    tupian:'https://www.superfa.cn/upload/bann/20160114/145273701569622.png',
                    texing:'共100种疾病保障，保障至100岁。保证现金价值+每年周年红利，助力家庭财富灵活稳定的增长。缴费期灵活选择，提供10年、18年及25年三种方式。危疾保障、人寿、储蓄，一站式安心。'
                },
                {
                    id:'ybzzmzylbx',
                    name:'友邦-至尊明珠医疗保险计划--环球5000万终身高端医疗保障',
                    zhonglei:'高端医疗',
                    nianxian:'缴1年保1年',
                    zuidi:'5千万港币终身保障/2千万每年',
                    toubao:'15天-65岁',
                    leixing:'高端医疗险',
                    yongjin:'26',
                    yongjind:'期缴24%起',
                    shihe:'对医疗条件有高要求的人士',
                    liangdian:'保额每年高达2000万港元，终身保障5000万港元',
                    tupian:'https://www.superfa.cn/upload/bann/20160114/145273702587833.png',
                    texing:'<p>高端医疗险，享受高品质医疗保障。</p><p>内地指定145家医院可以做直付及大多数三甲医院赔付。</p><p>计划提供全面的住院、手术及门诊咨询等医疗保障。国际紧急救援服务。</p><p>高额的住院医疗保障最高保额5000万港币，每年限额2000万港币。</p>'
                },
                {
                    id:'bclxrsbzjh',
                    name:'保诚-理想人生保障计划',
                    zhonglei:'储蓄分红型',
                    nianxian:'整付/5年/10年/15年/20年/30年',
                    zuidi:'5,000-350,000美元',
                    toubao:'19-65岁',
                    leixing:'分红型终身寿险',
                    yongjin:'40',
                    yongjind:'期缴38%起',
                    shihe:'希望高额寿险保障，兼顾子女教育，退休养老',
                    liangdian:'含寿险保障、储蓄功能',
                    tupian:'https://www.superfa.cn/upload/bann/20160114/145273703508544.png',
                    texing:'长线储蓄，并设有保单红利，一人投资，惠及三代。灵活运用保单储蓄，兼顾您家庭的子女教育、退休养老等计划，轻松实现不同人生阶段目标。为家庭经济支柱提供高额的终身寿险保障，可预支伤病保障。自选附加保障，让您和您的挚爱更加安心，从容享受生活。离岸资产，可规避遗产税、赠与税，创造“永远领不完的”财富。'
                },
                {
                    id:'cywljh',
                    name:'AIA-充裕未来储蓄计划',
                    zhonglei:'储蓄分红型',
                    nianxian:'5年、10年',
                    zuidi:'20,000美元',
                    toubao:'15日-75岁',
                    leixing:'分红型终身寿险',
                    yongjin:'41',
                    yongjind:'5年期缴28%起',
                    shihe:'准备教育金、养老金，财富传承',
                    liangdian:'分红高、增值快、支取灵活',
                    tupian:'https://www.superfa.cn/upload/bann/20160114/145273704494855.png',
                    texing:'长线储蓄，并设有保单红利，一人投资，惠及三代。灵活运用保单储蓄，兼顾您家庭的子女教育、退休养老等计划，轻松实现不同人生阶段目标。较短的缴费期限，让您的财务安排更加灵活，坐享时间复利带给我们的超额投资回报。多币种投资，可选择美元或港元，防范单一国家货币贬值风险。'
                },{
                    id: 'kcyzjbbzjh',
                    name: '安盛-康采严重疾病保障',
                    zhonglei: '重疾保障型',
                    nianxian: '10年、15年、20年、25年 ',
                    zuidi: '45岁前120,000港元 / 15,000美   45岁或以上 80,000港元 / 10,000美',
                    toubao: '14日至65岁',
                    leixing: '分红型重疾险',
                    yongjin: '72',
                    yongjind: '<span style="color:#ff5000">26%</span>起',
                    shihe: '注重疾病预防，让自己和家人后顾无忧',
                    liangdian: '3组严重疾病保障，可保108种疾病',
                    tupian: 'https://www.superfa.cn/upload/bann/20160519/14636377222591463025189774图片1.png',
                    texing: '<p>可提供52种早期严重疾病及56种严重疾病保障；</p><p>基本计划更提供保证现金价值及特别奖赏；</p><p>于首10个保单年度，享有基本计划保额35%之额外保障；</p><p>基本计划附加契约可提供额外4次「严重疾病保险赔偿」</p>'
                }, {
                    id: 'wjzsbjh',
                    name: '保诚-危疾终身保计划',
                    zhonglei: '重疾保障型',
                    nianxian: '5/10/15/20至55岁/65岁',
                    zuidi: '1.5万美元/12万港币',
                    toubao: '30日至65岁',
                    leixing: '储蓄分红险',
                    yongjin: '72',
                    yongjind: '<span style="color:#ff5000">26%</span>起',
                    shihe: '适合有责任心的人为自己及家人做保障计划，为您和您的家人保驾护航',
                    liangdian: '保障范围广、保障时间长、投资灵活',
                    tupian: 'https://www.superfa.cn/upload/bann/20160519/14636379054831463038717019图片2.png',
                    texing: '<p>周全的终身保障涵盖69项严重病况，包括17项预支赔偿病况</p><p>预支赔偿，提供紧急现金作即时治疗</p><p>指定严重病况可享一次性当时保额的额外20%保障</p><p>免费10年期危疾保3于首10个保单年度提供基本保额的额外35%或50%保障</p><p>免费10年期危疾保3于首10个保单年度提供基本保额的额外35%或50%保障</p>'
                }, {
                    id: 'ygcxjh',
                    name: '大都会-耀光储蓄计划',
                    zhonglei: '储蓄分红型',
                    nianxian: '3年、10年',
                    zuidi: '10000美元',
                    toubao: '15日至65岁',
                    leixing: '分红型终身寿险',
                    yongjin: '72',
                    yongjind: '<span style="color:#ff5000">26%</span>起',
                    shihe: '子女成才、创业大计、无忧退休生活、财富传承',
                    liangdian: '回报高，免健康审查，投保期限短',
                    tupian: 'https://www.superfa.cn/upload/bann/20160519/14636379557621463040540274图片3.png',
                    texing: '<p>提供具竞争力的长线丰厚总回报；</p><p>客户可于第1个保单周年日开始便享有特别红利及年度红利；</p><p>提供免费意外保费豁免保障，客户可享更佳保障；</p><p>免健康审查额高达总年度化保费1,250,000美元，配合客户全天候财富分配</p>'
                }, {
                    id: 'cxzcxjh',
                    name: '宏利-赤霞珠终身寿险计划',
                    zhonglei: '终身寿险型',
                    nianxian: '5年，8年，12年，15年',
                    zuidi: '50000港币',
                    toubao: '15日至65岁',
                    leixing: '分红型终身寿险',
                    yongjin: '72',
                    yongjind: '<span style="color:#ff5000">26%</span>起',
                    shihe: '幼儿及儿童、子女成才、无忧退休生活、财富传承',
                    liangdian: '香港保险市场上返还最快，最早、也是最灵活的的一款险种',
                    tupian: 'https://www.superfa.cn/upload/bann/20160519/14636379965181463042447065图片4.png',
                    texing: '<p>保证每年收益，终身获取</p><p>保证回报基升值能力</p><p>应急资金，助您灵活周转</p><p>短期缴费，保障终身</p><p>附加保障，妥善周全</p>'
                }, {
                    id: 'ybawycx',
                    name: 'AIA-爱无忧长享计划3',
                    zhonglei: '储蓄分红型',
                    nianxian: '6年、10年、15年、20年 ',
                    zuidi: '5000美元',
                    toubao: '15天-65岁',
                    leixing: '分红型终身寿险',
                    yongjin: '72',
                    yongjind: '<span style="color:#ff5000">26%</span>起',
                    shihe: '幼儿及儿童，准备养老金及教育金',
                    liangdian: '无需健康检查，保费年前灵活，派发保证现金外，还会提供多重红利',
                    tupian: 'https://www.superfa.cn/upload/bann/20160519/14636380499521463455716719图片10.png',
                    texing: '<p>投保简易，无需健康审查，获享终身保障；</p><p>保费年期灵活，可选择6年、10年、15年、20年四种期限；</p><p>定期派发两种保证现金，让您充分获享财务弹性；</p><p>享受多重红利，更可附加契约保障，让您安心无忧。</p>'
                }
            ];
            var pl = ['juansheng', 'jintai', 'youbang', 'lixiang', 'chongyu', 'axajibing', 'baocheng', 'daduhui', 'hongli', 'youaibang'];
            $scope.count = [];
            $scope.product.five.pager = false;
            angular.forEach(pl, function(p, i) {
                $faAPI.product.overseaCount({
                        type: '1',
                        productName: p,
                        productOperation: 'time,see'
                    })
                    .then(function(json) {
                        if (json) {
                            $scope.count[i] = json;
                        }
                    });
            });
        }
    };

    //下拉刷新
    $scope.doRefresh = function(name){
        if (name == 'one' || name == 'two') {
            //console.log($scope.product[name]);
            $scope.product[name].data = {};
            $scope.issle = 1;
            $faAPI.product.list({
                pageSize: 5,
                type: $scope.product[name].type,
                pageNo: 1
            }, {
                flag: false
            }).then(function(json) {

                var list = json.list.map(function(item) {

                    if (item.expectSaleAmount != 0) {
                        item.process = ((item.allSubscriptionAmount * 100 / item.expectSaleAmount).toFixed(2) > 100) ? 100 : (item.allSubscriptionAmount * 100 / item.expectSaleAmount).toFixed(2);
                    } else {
                        item.process = 0;
                    }

                    return item;
                });
                //删除之前的冗余数据
                $scope.product[name].list = [];
                $scope.product[name].list = $scope.product[name].list.concat(list);
                $scope.product[name].pager = json.pager;
                //console.log($scope.product[name]);
                $scope.$broadcast('scroll.refreshComplete');


            });
        }
        //PE/VC
        if(name == 'three'){
            $scope.issle = 1;
            $faAPI.product.pevcList({
                type: $scope.product[name].type,
                pageSize: 5,
                pageNo: 1
            },{
                flag:false
            }).then(function(json){

                var list = json.list.map(function(item) {
                    if (item.expectSaleAmount != 0) {
                        item.process = ((item.allSubscriptionAmount * 100 / item.expectSaleAmount).toFixed(2) > 100) ? 100 : (item.allSubscriptionAmount * 100 / item.expectSaleAmount).toFixed(2);
                    } else {
                        item.process = 0;
                    }

                    return item;
                });
                //删除之前的冗余数据
                $scope.product[name].list = [];
                $scope.product[name].list = $scope.product[name].list.concat(list);
                $scope.product[name].pager = json.pager;
                $scope.$broadcast('scroll.refreshComplete');
            });
        }
        //阳光私募
        if(name == 'four'){

            $faAPI.product.simuList({
                pageSize: 5,
                pageNo: 1
            }, {
                flag: false
            }).then(function(json) {

                var list = json.list.map(function(item) {
                    item.lsjzJson = item.lsjzJson ? $faUtil.fromJson((item.lsjzJson).replace(/“/g, '"')) : '';
                    return item;
                });
                //删除之前的冗余数据
                $scope.product[name].list = [];
                $scope.product[name].list = $scope.product[name].list.concat(list);
                $scope.product[name].pager = json.pager;
                $scope.$broadcast('scroll.refreshComplete');

            });
        }

    };

    //排序
    $scope.proSort = function(name,type){
        //pRabateProfitParameter    佣金 true
        //pAnnualRevenueExpectParameter 收益  true
        $scope.issle = type;
        switch(type){
            case 1:
                $scope.product[name].data.pRabateProfitParameter = undefined;
                $scope.product[name].data.pAnnualRevenueExpectParameter = undefined;
                break;
            case 2:
                $scope.product[name].data.pRabateProfitParameter = true;
                $scope.product[name].data.pAnnualRevenueExpectParameter = undefined;
                break;
            case 3:
                $scope.product[name].data.pRabateProfitParameter = undefined;
                $scope.product[name].data.pAnnualRevenueExpectParameter = true;
                break;
        }

        $scope.product[name].list = [];

        $scope.product[name].pager = {
            hasNaxtPage: true,
            pageSize: 5,
            nextPage: 1
        };

        $scope.$broadcast('scroll.infiniteScrollComplete');

        //$timeout(function() {
            $ionicScrollDelegate.$getByHandle(name).scrollTop();
        //}, 50);
    };


    //返回顶部
    $scope.goTop = function(index){
        $ionicScrollDelegate.scrollTop();
        $scope.scrollGoto(index);

    };
    //判断是否到达顶部隐藏
    $scope.getScrollPosition = function(name){
        var scrollTop = $ionicScrollDelegate.$getByHandle(name).getScrollPosition().top;

        if(scrollTop <200){
            $scope.isTop = false;
        }else {
            $scope.isTop = true;
        }
        $scope.$digest();
    };
    $scope.goCertification = function($event){
        $event.stopPropagation();
        $faUser.info.isLogin ? $state.go('app.myself.certification') : $rootScope.modal.login();
        $scope.$watch('userRole',function(newValue){
            //必须在此处初始化监听登录，否则会引发在其他地方登录了，导致此处监听错误。
            //表现为一进列表页会立即执行监听中的方法
            if(newValue){
                console.log('prolist load');
                window.location.reload();
            }
        });
    };
    //用于其他地方登录后更新产品列表的登录认证状态--2016/11/28
    //window.isprolistUpdate = function(){
    //    window.location.reload();
    //};

    $scope.toView = function(type, id){

        if(type && id){
            var url = '';

            if(type == '01'){
                url = 'product.simu';
            }else if(type == '02' || type == '03'){
                url = 'product.xtzgdetail';
            }else if(type == '06'){
                url = 'product.pevc';
            }

            $state.go(url, {id : id});
        }else{
            console.log('error,,');
        }

    };

    $faModal('xtfilter', 'views/product/wap4_xtFilter.html', $scope, {
        initialize: function() {

            var self = this;

            $scope.product.one.data = {};


        },
        done: function() {

            var self = this;

            $scope.product[self.data.key].list = [];

            $scope.product[self.data.key].pager = {
                hasNaxtPage: true,
                pageSize: 5,
                nextPage: 1
            };

            $scope.$broadcast('scroll.infiniteScrollComplete');

            $timeout(function() {
                $ionicScrollDelegate.$getByHandle(self.data.key).scrollTop();
            }, 50);

            self.hide();
            $scope.isFilterSle = false;
        }
    });
    $faModal('zgfilter', 'views/product/wap4_zgFilter.html', $scope, {
        initialize: function() {

            var self = this;
            $scope.product.two.data = {};
        },
        done: function() {

            var self = this;

            $scope.product[self.data.key].list = [];

            $scope.product[self.data.key].pager = {
                hasNaxtPage: true,
                pageSize: 5,
                nextPage: 1
            }

            $scope.$broadcast('scroll.infiniteScrollComplete');

            $timeout(function() {
                $ionicScrollDelegate.$getByHandle(self.data.key).scrollTop();
            }, 50);

            self.hide();
            $scope.isFilterSle = false;

        }
    });

    $faModal('pevcfilter', 'views/product/wap4_pevcFilter.html', $scope, {
        initialize: function() {

            var self = this;
            $scope.product.three.data = {};


        },
        done: function() {

            var self = this;

            $scope.product[self.data.key].list = [];

            $scope.product[self.data.key].pager = {
                hasNaxtPage: true,
                pageSize: 5,
                nextPage: 1
            };

            $scope.$broadcast('scroll.infiniteScrollComplete');

            $timeout(function() {
                $ionicScrollDelegate.$getByHandle(self.data.key).scrollTop();
            }, 50);

            self.hide();
            $scope.isFilterSle = false;
        }
    });

    $scope.goInform = function(){
        $faUser.info.isLogin ? $state.go('inform') : $rootScope.modal.login();
    };
    //打开筛选
    $scope.filterOpen = function(index) {
        $scope.isFilterSle = true;
        var data = {};
        switch (index) {
            case 1:
                data.key = 'one';
                $scope.modal.xtfilter(data);

                break;
            case 2:
                data.key = 'two';
                $scope.modal.zgfilter(data);

                break;
            case 3:
                data.key = 'three';
                $scope.modal.pevcfilter(data);
                break;
            case 4:
                data.key = 'four';
                $scope.modal.simufilter(data);
                break;
        }
    };
    //关闭筛选
    $scope.closeFilter = function(index){
        $scope.isFilterSle = false;
        switch (index) {
            case 0:
                $scope.xtfilter.hide();
                break;
            case 1:
                $scope.xtfilter.hide();
                break;
            case 2:
                $scope.zgfilter.hide();
                break;
            case 3:
                $scope.pevcfilter.hide();
                break;
            case 4:
                $scope.modal.simufilter(data);
                break;
        }

    };

    $rootScope.$on('$stateChangeStart', function() {
        switch ($scope.index) {
            case 0:
                if($scope.xtfilter){
                    $scope.xtfilter.hide();
                }
                break;
            case 1:
                if($scope.zgfilter){
                    $scope.zgfilter.hide();
                }
                break;
            case 2:
                if($scope.pevcfilter){
                    $scope.pevcfilter.hide();
                }
                break;
        }

    });
  $scope.goUpload = function(){
    var popTitle = '';
    var popButton = '';
    if(!$faUser.info.isLogin){
      // 要登录
      $rootScope.modal.login();
    }else if($faUser.isCertEmpty()){
      popTitle = '您还未上传名片，上传并审核通过后才能上传产品';
      popButton = '去上传';
      pop();
    }else if($faUser.isCertIng()){
      popTitle = '您的名片还在审核中，审核通过后才能上传产品';
      popButton = '看名片';
      pop();
    }else if($faUser.isCertDeny()){
      popTitle = '您的名片审核失败，请重新上传';
      popButton = '去上传';
      pop();
    }else{
      $state.go('app.upload');
    }

    function pop(){
      var myPopup = $ionicPopup.show({
        title: popTitle,
        scope: $scope,
        buttons: [
          { 
            text: '取消',
            type: 'confirmLoginCancel',
            onTap: function(e) {
              $state.go('product.prolist');
            }
          },
          {
            text: popButton,
            type: 'button-positive confirmLogin',
            onTap: function(e) {
              $state.go('app.myself.certification', {repage:'app.upload'});
            }
          }
        ]
      });
    }
  }

})
.controller('hotListCtrl',function($scope,$faAPI,$state,$faUtil,$stateParams){
    //1.热销产品，2.最新推荐
    var type = $stateParams.type;
    $scope.hotType = type;
    $scope.title;
    $scope.hotList;
    if(type == 1){
        $scope.title = '热销产品';
        gethot1();
    }
    if(type == 2){
        $scope.title = '最新推荐';
        gethot2();
    }
    $scope.toView = function(type, id){
        if(type && id){
            var url = '';

            if(type == '01'){
                url = 'product.simu';
            }else if(type == '02' || type == '03'){
                url = 'product.xtzgdetail';
            }else if(type == '06'){
                url = 'product.pevc';
            }

            $state.go(url, {id : id});
        }else{
            console.log('error,,');
        }

    };

    function gethot1(){
        //热门产品-recommentType=1首页热销产品  recommentType=3 产品列表推荐 recommentType=2 首页推荐
        $faAPI.customer.recommentProduct({
            recommentType:'1'
        }).then(function(json) {
            $scope.hotList = json.list.map(function(item) {
                if(item.fpFundInfoDTO){
                    item.fpFundInfoDTO.lsjzJson = item.fpFundInfoDTO.lsjzJson ? $faUtil.fromJson((item.fpFundInfoDTO.lsjzJson).replace(/“/g, '"')) : '';
                }else if(item.productDTO){
                    if (item.productDTO.expectSaleAmount != 0) {
                        item.productDTO.process = ((item.productDTO.allSubscriptionAmount * 100 / item.productDTO.expectSaleAmount).toFixed(2) > 100) ?
                            100 :
                            (item.productDTO.allSubscriptionAmount * 100 / item.productDTO.expectSaleAmount).toFixed(2);
                    } else {
                        item.productDTO.process = 0;
                    }
                }
                return item;
            });




        });
    }
    function gethot2(){
        //首页最新推荐
        $faAPI.customer.recommentProduct({
            recommentType:'2'
        }).then(function(json) {
            $scope.hotList = json.list.map(function(item) {
                if(item.fpFundInfoDTO){
                    item.fpFundInfoDTO.lsjzJson = item.fpFundInfoDTO.lsjzJson ? $faUtil.fromJson((item.fpFundInfoDTO.lsjzJson).replace(/“/g, '"')) : '';
                }else if(item.productDTO){
                    if (item.productDTO.expectSaleAmount != 0) {
                        item.productDTO.process = ((item.productDTO.allSubscriptionAmount * 100 / item.productDTO.expectSaleAmount).toFixed(2) > 100) ?
                            100 :
                            (item.productDTO.allSubscriptionAmount * 100 / item.productDTO.expectSaleAmount).toFixed(2);
                    } else {
                        item.productDTO.process = 0;
                    }
                }
                return item;
            });
        });
    }


})
.controller('ProductPevcDetailCtrl',function($scope,$rootScope,$stateParams,$ionicScrollDelegate,$faModal, $location, $faAPI, $faPopup, $faUser,$faMAP, $state, $faLoading, $faIOSBridge, $ionicNavBarDelegate,$timeout,$faWechat,$faPlatform,$ionicPopup,$filter,$yukuvideo){
    //登录成功后需要更新数据，由于xtzg--pevc是不同的接口，所以新建controller
    $scope.share = $stateParams.share;
    $scope.sharePhone = $stateParams.sharePhone;
    $scope.isagreement = false;
    $scope.isFilterSle = false;
    //7-15私募基金法更改--wap4.1.3--del-code
    //if (!$faUser.info.isLogin && !$scope.share) {
    //    $rootScope.modal.login();
    //}
    function getPevcData(){
        ////获取pevc 产品详情
        $faAPI.product.pevcDetail({
            code: $stateParams.id
        }).then(function(json){

            $scope.item = (function(item) {
                if (item.expectSaleAmount != 0) {
                    item.process = ((item.allSubscriptionAmount * 100 / item.expectSaleAmount).toFixed(2) > 100) ? 100 : (item.allSubscriptionAmount * 100 / item.expectSaleAmount).toFixed(2);
                } else {
                    item.process = 0;
                }
                for(var i=0;i<item.profitAndRebateList.length;i++){
                    if(item.profitAndRebateList[i].pIsAgreement == 1){
                        //是否协议价
                        $scope.isagreement = true;
                    }
                }
                return item;
            })(json.result);
            //产品详情由富文本拆分的字段
            try {
                $scope.summary = JSON.parse(json.result.summary);
                $scope.pevcDetailData = json;

            }
            catch(err){

            }
            //优酷视频
            var sfavideo = json.result.sfaVideo;

            if(sfavideo != undefined){
                if(sfavideo.isEncryption == 0){
                    VIDEO_PWD = sfavideo.encryptionPassword;
                }else {
                    VIDEO_PWD = '';
                }
                $yukuvideo.play(sfavideo.videoId,sfavideo.id);
            }
            weichatShare()
        });
    }
    getPevcData();

    function examinelogin(){
        $scope.user.info.isLogin = true;
    }
    $scope.gologin = function(){
        $rootScope.modal.login(examinelogin);
    };
    $faModal('xtzg_modal','views/modals/xtzgdetail_modal.html',$scope);
    $faModal('pevc_modal','views/modals/pevcdetail_modal.html',$scope);

    //产品详情
    $scope.openOrder = function(type){
        if(type){
            $scope.modal.xtzg_modal();
        }else {
            $scope.modal.pevc_modal();
        }
    };

    //要做全局的登陆认证状态监听更新数据
    $scope.$watch('userRole',function(newValue){
        if(newValue){
            getPevcData();
        }
    });


    $scope.params = $location.search();
    if($scope.params.name){
        $scope.uName =decodeURI($scope.params.name);
    }

    if ($scope.params.share && $scope.params.share.indexOf('isformallin')<0) {
        $timeout(function() {
            $ionicNavBarDelegate.showBar(false);
        }, 0);
    }

    //立即预约
    $scope.goOrder = function(id){
        //点击预约需要关闭详情弹层
        if($scope.xtzg_modal){
            $scope.xtzg_modal.hide();
        }
        if($scope.pevc_modal){
            $scope.pevc_modal.hide();
        }
        $faUser.info.isLogin ? $state.go('product.xtzgOrder',{pid:id}) : $rootScope.modal.login();
    };
    $scope.goCertification = function($event){
        $event.stopPropagation();
        $faUser.info.isLogin ? $state.go('app.myself.certification') : $rootScope.modal.login();
    };


    // 下载附件
    $faModal('download', 'views/product/download.html', $scope, {
        done: function(id) {

            var self = this;

            var data = {
                id: id,
                pId: $scope.item.productId
            };

            if ($faUser.info.isLogin) {

                $faAPI.product.download(data).then(function() {
                    self.hide();
                });

            } else {
                $rootScope.modal.login();
            }

        }
    });


    $scope.openWriteComm = function(){
        if (!$faUser.info.isLogin) {
            $rootScope.modal.login();
        } else {
            $scope.modal.writeComment();
        }
    };
    $scope.orderOpen = function() {
        if (!$faUser.info.isLogin) {
            $rootScope.modal.login();
        } else {
            $scope.modal.order();
        }
    };

    //分享产品详情
    $scope.proshare = function(){
        var data;
        $scope.item.peOrganizeShape= $filter('zuzhixingshi')($scope.item.peOrganizeShape);
        if ($faUser.info.isLogin) {
            //7.Pe/vc： 发行机构、组织形式、基金类型
            data = {
                title:$scope.item.productShortName,
                desc:'发行机构：'+$scope.item.investOwner+'；组织形式：'+$scope.item.peOrganizeShape+'；基金类型：'+$scope.item.peFundShape,
                link:reqUrl + '/#/product/pevc/' + $scope.item.productCode+'?share=true&sharePhone='+$faUser.info.mobile,
                imgUrl:citeImgUrl+$scope.item.pImageUrl
            };

        }else {
            //7.Pe/vc： 发行机构、组织形式、基金类型
            data = {
                title:$scope.item.productShortName,
                desc:'发行机构：'+$scope.item.investOwner+'；组织形式：'+$scope.item.peOrganizeShape+'；基金类型：'+$scope.item.peFundShape,
                link:reqUrl + '/#/product/pevc/' + $scope.item.productCode+'?share=true',
                imgUrl:citeImgUrl+$scope.item.pImageUrl
            };
        }




        if($faPlatform.androidAPP){
            document.addEventListener("deviceready",OnDeviceReady, false);
            function OnDeviceReady()
            {
                cordova.exec(null, null, "MyPlugin", "toShare", [data.title,data.desc,data.link,data.imgUrl]);
            }
        }else{
            productShare(data.title,data.desc,data.link,data.imgUrl);
        }

    };

    function weichatShare(){
        //微信分享
        if($faUser.info.isLogin){
            $faWechat.api.onMenuShareTimeline({
                title: $scope.item.productShortName + '－超级理财师', // 分享标题
                link: $location.protocol() + '://' + $location.host() + '/#/product/pevc/' + $scope.item.productCode+'?share=true&sharePhone='+$faUser.info.mobile, // 分享链接
                imgUrl: $location.protocol() + '://' + $location.host()+$scope.item.pImageUrl, // 分享图标
                success: function() {
                    // 用户确认分享后执行的回调函数
                },
                cancel: function() {
                    // 用户取消分享后执行的回调函数
                }
            });
            $faWechat.api.onMenuShareAppMessage({
                title: $scope.item.productShortName + '－超级理财师', // 分享标题
                desc: '发行机构：'+$scope.item.investOwner+'；组织形式：'+$scope.item.peOrganizeShape+'；基金类型：'+$scope.item.peFundShape, // 分享描述
                link: $location.protocol() + '://' + $location.host() + '/#/product/pevc/' + $scope.item.productCode+'?share=true&sharePhone='+$faUser.info.mobile, // 分享链接
                imgUrl: $location.protocol() + '://' + $location.host()+$scope.item.pImageUrl, // 分享图标
                type: 'link', // 分享类型,music、video或link，不填默认为link
                dataUrl: '', // 如果type是music或video，则要提供数据链接，默认为空
                success: function() {
                    // 用户确认分享后执行的回调函数
                },
                cancel: function() {
                    // 用户取消分享后执行的回调函数
                }
            })
        }else{
            $faWechat.api.onMenuShareTimeline({
                title: $scope.item.productShortName + '－超级理财师', // 分享标题
                link: $location.protocol() + '://' + $location.host() + '/#/product/pevc/' + $scope.item.productCode,
                imgUrl: $location.protocol() + '://' + $location.host()+$scope.item.pImageUrl, // 分享图标
                success: function() {
                    // 用户确认分享后执行的回调函数
                },
                cancel: function() {
                    // 用户取消分享后执行的回调函数
                }
            });
            $faWechat.api.onMenuShareAppMessage({
                title: $scope.item.productShortName + '－超级理财师', // 分享标题
                desc: '发行机构：'+$scope.item.investOwner+'；组织形式：'+$scope.item.peOrganizeShape+'；基金类型：'+$scope.item.peFundShape, // 分享描述
                link: $location.protocol() + '://' + $location.host() + '/#/product/pevc/' + $scope.item.productCode, // 分享链接
                imgUrl: $location.protocol() + '://' + $location.host()+$scope.item.pImageUrl, // 分享图标
                type: 'link', // 分享类型,music、video或link，不填默认为link
                dataUrl: '', // 如果type是music或video，则要提供数据链接，默认为空
                success: function() {
                    // 用户确认分享后执行的回调函数
                },
                cancel: function() {
                    // 用户取消分享后执行的回调函数
                }
            })
        }
    }



    if($stateParams.sharePhone){
        //根据分享的手机号码查询信息
        $faAPI.user.getUserForLonginName({
            loginName:$stateParams.sharePhone
        }).then(function(json){
            $scope.sharePhoneInfo = json.dto;
            console.log(json);
        });
    }

    $scope.mailData = {};

    $faModal('send_mail','views/modals/sendMail.html',$scope,{
        initialize:function(){
            //console.log($scope.modal.send_mail());
        },
        done:function(){
            var self = this;

            $faAPI.product.sendMail({
                pId:$scope.item.productId,
                pType:$scope.item.productType,
                emailAddress:$scope.mailData.sendMailUrl
            }).then(function(){
                $ionicPopup.alert({
                    title:'发送邮件成功'
                });
                $rootScope.snedMailHistory.push($scope.mailData.sendMailUrl);
                $rootScope.snedMailHistory = unique2($rootScope.snedMailHistory.reverse());
                self.hide();
            });

        }
    });
    //发送邮件
    window.showSendMail = function(){
        $scope.modal.send_mail();
    };

    //清空发送邮件历史记录
    $scope.delsnedEmailHis = function(){
        $rootScope.snedMailHistory = [];
    };


    //复制简版
    $faModal('copy_brief','views/modals/copyBrief.html',$scope,{
        initialize:function(){
            $scope.copyType = 'pevc';
            //项目亮点
            try {
                if($scope.pevcDetailData.result.flagBaoxiao){
                    $scope.copyisbaoxiao = '***SFA独家包销***';
                }
                $scope.copyxmld = $scope.summary.xmld?$scope.summary.xmld.replace(/<[^>]+>/g,""):'-';
                if($faUser.info.isLogin){

                    $scope.copyuserinfo = '';
                    if($faUser.info.realName){
                        $scope.copyuserinfo = '联系人:'+$faUser.info.realName;
                    }
                    $scope.copyuserinfo =$scope.copyuserinfo +' 联系电话:'+$faUser.info.mobile;
                }
            }catch(err){

            }

        },
        done:function(){
            var data = document.getElementById('copyData').value;
            if($faPlatform.androidAPP){
                document.addEventListener("deviceready",OnDeviceReady, false);
                function OnDeviceReady()
                {
                    cordova.exec(null, null, "MyPlugin", "copy", [data]);
                }
            }else{
                copy(data);
            }

        }
    });
    window.showCopyBrief = function(){
        $scope.modal.copy_brief();
    };

})
.controller('ProductSimuCtrl', function($scope,$stateParams,checkStatus,product, $faPopup, $faModal, $state, $rootScope, $faUser, $faMAP, $faAPI, $faWechat,$faUtil,$interval,$faPlatform,$ionicPopup,$location,$yukuvideo) {
    //$rootScope.isUserLogin = checkStatus.loginStatus;
    $scope.share = $stateParams.share;
    $scope.sharePhone = $stateParams.sharePhone;
    $scope.item = product;

    $scope.isShowTool = true;
    $scope.islsyj = true;
    $scope.islsjz = true;
    $scope.islogin = false;
    $scope.item.detail.lsyjbJson = $scope.item.detail.lsyjbJson ? $faUtil.fromJson(($scope.item.detail.lsyjbJson).replace(/“/g, '"')) : false;
    $scope.item.detail.lsjzJson = $scope.item.detail.lsjzJson ? $faUtil.fromJson(($scope.item.detail.lsjzJson).replace(/“/g, '"')) : false;

    if($scope.item.detail.lsyjbJson == []){
        $scope.islsyj = false;
    }
    if($scope.item.detail.lsjzJson == []){
        $scope.islsjz = false;
    }
    $scope.chartType = 1;

    $scope.chartTypeChange = function(i) {
        $scope.chartType = i;
    };
    //优酷视频
    var sfavideo = product.detail.sfaVideo;

    if(sfavideo != undefined){
        if(sfavideo.isEncryption == 0){
            VIDEO_PWD = sfavideo.encryptionPassword;
        }else {
            VIDEO_PWD = '';
        }
        $yukuvideo.play(sfavideo.videoId,sfavideo.id);
    }
    function examinelogin(){
        $scope.user.info.isLogin = true;
    }
    $scope.gologin = function(){
        $rootScope.modal.login(examinelogin);
    };
    // 产品详情
    $faModal('simudetail_modal', 'views/modals/simudetail_modal.html', $scope, {});

    $scope.test = function(){
        if (!$faUser.info.isLogin) {
            $rootScope.modal.login();
        }
    };
    //私募预约
    $scope.goOrder = function(id){
        if($scope.simudetail_modal){
            $scope.simudetail_modal.hide();
        }
        $faUser.info.isLogin ? $state.go('product.xtzgOrder',{pid:id,type:true}) : $rootScope.modal.login();
    };
    $scope.openOrder = function() {
        $scope.modal.simudetail_modal();

    };


    //私募分享
    $scope.proshare = function(){
        var data;
        if ($faUser.info.isLogin) {
            //阳光私募：基金类型、组织形式、结构形式
            data = {
                title:$scope.item.detail.jjqc,
                desc:'基金类型：'+$scope.item.detail.jjfl+'；组织形式：'+$scope.item.detail.zzxs+'；结构形式：'+$scope.item.detail.jgxs,
                link:reqUrl + '/#/product/simu/' + $scope.item.detail.id+'?share=true&sharePhone='+$faUser.info.mobile,
                imgUrl:'http://lec.superfa.cn/upload/bann/20160913/1473730864215990394.png'
            };
        }else {
            //阳光私募：基金类型、组织形式、结构形式
            data = {
                title:$scope.item.detail.jjqc,
                desc:'基金类型：'+$scope.item.detail.jjfl+'；组织形式：'+$scope.item.detail.zzxs+'；结构形式：'+$scope.item.detail.jgxs,
                link:reqUrl + '/#/product/simu/' + $scope.item.detail.id+'?share=true',
                imgUrl:'http://lec.superfa.cn/upload/bann/20160913/1473730864215990394.png'
            };
        }



        if($faPlatform.androidAPP){
            document.addEventListener("deviceready",OnDeviceReady, false);
            function OnDeviceReady()
            {
                cordova.exec(null, null, "MyPlugin", "toShare", [data.title,data.desc,data.link,data.imgUrl]);
            }
        }else{
            productShare(data.title,data.desc,data.link,data.imgUrl);
        }
    };

    if($faUser.info.isLogin){
        $faWechat.api.onMenuShareTimeline({
            title: $scope.item.detail.jjmc + '－超级理财师', // 分享标题
            link: $location.protocol() + '://' + $location.host() + '/#/product/simu/' + $scope.item.detail.id+'?share=true&sharePhone='+$faUser.info.mobile, // 分享链接
            imgUrl: 'http://lec.superfa.cn/upload/bann/20160913/1473730864215990394.png', // 分享图标
            success: function() {
                // 用户确认分享后执行的回调函数
            },
            cancel: function() {
                // 用户取消分享后执行的回调函数
            }
        });
        $faWechat.api.onMenuShareAppMessage({
            title: $scope.item.detail.jjmc + '－超级理财师', // 分享标题
            desc: '基金类型：'+$scope.item.detail.jjfl+'；组织形式：'+$scope.item.detail.zzxs+'；结构形式：'+$scope.item.detail.jgxs, // 分享描述
            link: $location.protocol() + '://' + $location.host() + '/#/product/simu/' + $scope.item.detail.id+'?share=true&sharePhone='+$faUser.info.mobile, // 分享链接
            imgUrl: 'http://lec.superfa.cn/upload/bann/20160913/1473730864215990394.png', // 分享图标
            type: 'link', // 分享类型,music、video或link，不填默认为link
            dataUrl: '', // 如果type是music或video，则要提供数据链接，默认为空
            success: function() {
                // 用户确认分享后执行的回调函数
            },
            cancel: function() {
                // 用户取消分享后执行的回调函数
            }
        })
    }else{
        $faWechat.api.onMenuShareTimeline({
            title: $scope.item.detail.jjmc + '－超级理财师', // 分享标题
            link: $location.protocol() + '://' + $location.host() + '/#/product/simu/' + $scope.item.detail.id,
            imgUrl: 'http://lec.superfa.cn/upload/bann/20160913/1473730864215990394.png', // 分享图标
            success: function() {
                // 用户确认分享后执行的回调函数
            },
            cancel: function() {
                // 用户取消分享后执行的回调函数
            }
        });
        $faWechat.api.onMenuShareAppMessage({
            title: $scope.item.detail.jjmc + '－超级理财师', // 分享标题
            desc: '基金类型：'+$scope.item.detail.jjfl+'；组织形式：'+$scope.item.detail.zzxs+'；结构形式：'+$scope.item.detail.jgxs, // 分享描述
            link: $location.protocol() + '://' + $location.host() + '/#/product/simu/' + $scope.item.detail.id, // 分享链接
            imgUrl: 'http://lec.superfa.cn/upload/bann/20160913/1473730864215990394.png', // 分享图标
            type: 'link', // 分享类型,music、video或link，不填默认为link
            dataUrl: '', // 如果type是music或video，则要提供数据链接，默认为空
            success: function() {
                // 用户确认分享后执行的回调函数
            },
            cancel: function() {
                // 用户取消分享后执行的回调函数
            }
        })
    }


    if($stateParams.sharePhone){
        //根据分享的手机号码查询信息
        $faAPI.user.getUserForLonginName({
            loginName:$stateParams.sharePhone
        }).then(function(json){
            $scope.sharePhoneInfo = json.dto;
            console.log(json);
        });
    }

    $scope.mailData = {};
    $faModal('send_mail','views/modals/sendMail.html',$scope,{
        initialize:function(){
            //console.log($scope.modal.send_mail());
        },
        done:function(){
            var self = this;

            $faAPI.product.sendMail({
                pId:$scope.item.detail.id,
                pType:'01',
                emailAddress:$scope.mailData.sendMailUrl
            }).then(function(){
                $ionicPopup.alert({
                    title:'发送邮件成功'
                });
                $rootScope.snedMailHistory.push($scope.mailData.sendMailUrl);
                $rootScope.snedMailHistory = unique2($rootScope.snedMailHistory.reverse());
                self.hide();
            });

        }
    });

    //发送邮件
    window.showSendMail = function(){
        $scope.modal.send_mail();
    };

    //清空发送邮件历史记录
    $scope.delsnedEmailHis = function(){
        $rootScope.snedMailHistory = [];
    };

    //复制简版
    $faModal('copy_brief','views/modals/copyBrief.html',$scope,{
        initialize:function(){
            $scope.copyType = 'simu';

            try {
                //认购须知
                $scope.copybuynoticedetail = $scope.item.buynotice.buynoticedetail?$scope.item.buynotice.buynoticedetail.replace(/<[^>]+>/g,""):'-';
                //项目亮点
                $scope.copyproductadvantage = $scope.item.buynotice.productadvantage?$scope.item.buynotice.productadvantage.replace(/<[^>]+>/g,""):'-';
                if($faUser.info.isLogin){

                    $scope.copyuserinfo = '';
                    if($faUser.info.realName){
                        $scope.copyuserinfo = '联系人:'+$faUser.info.realName;
                    }
                    $scope.copyuserinfo =$scope.copyuserinfo +' 联系电话:'+$faUser.info.mobile;
                }
            }catch(err){

            }

        },
        done:function(){
            var data = document.getElementById('copyData').value;
            if($faPlatform.androidAPP){
                document.addEventListener("deviceready",OnDeviceReady, false);
                function OnDeviceReady()
                {
                    cordova.exec(null, null, "MyPlugin", "copy", [data]);
                }
            }else{
                copy(data);
            }

        }
    });
    window.showCopyBrief = function(){
        $scope.modal.copy_brief();
    };

});